<?php
ini_set("display_errors","true");
error_reporting(E_ALL);
set_time_limit(1800);

$subir_data = true;
$showmsg = false;
$showsql = false;

// Modificar la siguiente variable para indicar el directorio en cual se almacena la informacin en DATATIAL
$nom_empresa = "telefonica";
// ID del Grupo al que pertenece la informacin a subir
$id_grupo = "60";
$directorio_ori = "/datatial10";



function escribeLog($directorio="", $archivo="", $texto="")
{
	global $showmsg;
	global $nom_empresa;

       $nombre_archivo = "$directorio_ori/$nom_empresa/data-log/$directorio/$archivo";
       //echo !file_exists("$directorio/$nom_empresa/data-log")."\n\n";
	if (!(file_exists("$directorio/$nom_empresa/data-log")))
	{
		echo "\n- Aplicando permisos...";

              mkdir("$directorio_ori/$nom_empresa/data-log", 0777);
		chgrp("$directorio_ori/$nom_empresa/data-log","cajicavn");
    	       chmod("$directorio_ori/$nom_empresa/data-log",0777);
		//chown("$directorio/$nom_empresa/data-log","dbxuser");
       }
	if (!file_exists("$directorio_ori/$nom_empresa/data-log/$directorio"))
	{
		if($directorio != "")
		{
		       //echo "\n- Creando directorio <b>$directorio/$nom_empresa/data-log/$directorio</b>\n";
			mkdir("$directorio_ori/$nom_empresa/data-log/$directorio", 0777);
			chgrp("$directorio_ori/$nom_empresa/data-log/$directorio","cajicavn");
	    	       chmod("$directorio_ori/$nom_empresa/data-log/$directorio",0777);
			//chown("$directorio/$nom_empresa/data-log/$directorio","dbxuser");
		}
	}
	if (!$gestor = fopen("$nombre_archivo", 'a'))
	{
           echo "\n- ERROR! No se puede abrir el archivo ($nombre_archivo)";
       }
       else
	{
		fwrite($gestor, "$texto\n");
	       fclose($gestor);
		if ($showmsg)
	    	echo "\n- ERROR reportado en archivo $nombre_archivo";
	}
       chmod($nombre_archivo,0777);
	chgrp($nombre_archivo,"cajicavn");
	//chown($nombre_archivo,"dbxuser");
}

function escribeLog_dbxuser($texto="")
{
	global $showmsg;
	global $nom_empresa;
	global $id_grupo;

       $nombre_archivo = "$directorio_ori/$nom_empresa/data-log/xbutil.txt";
       if (!$gestor = fopen("$nombre_archivo", 'a'))
	{
           echo "\n- ERROR! No se puede abrir el archivo ($nombre_archivo)";
       }
       else
	{
		fwrite($gestor, "$texto\n");
	       fclose($gestor);
//		    if ($showmsg)
//	    	    echo "\n- ERROR reportado en archivo $nombre_archivo";
	}
       chmod($nombre_archivo,0777);
	chgrp($nombre_archivo,"cajicavn");
	//chown($nombre_archivo,"dbxuser");
}

       echo "\n- ---- INICIA EL PROGRAMA ----";

	// Carga de Archivos
	// 8/31/2007 1:00:28 AM
	// Estrucuta de $data para Movistar
	// [0] - Nro. Celular
	// [1] - Doc. ID. (NUIP)
	// [2] - Nombre
	// [3] - V3. = Nro. DVD - DISCO - V4. = PATH RUTA COMPLETA, sin el ultimo slash
	// [4] - Localizacion (Carpeta del DVD) TEXTO DESCRIPTIVO
	// [5] - Nro. Contrato - Ver numeral 2. Nombres de Archivo
	// [6] - Cantidad de Imagenes
	// [7] - ** T.R.D. (Inicialmente Ventas Nuevas)
	// [8] - Cantidad de imagenes a contar
	// [9] - Tipo de archivo TIF, JPG o pdf
	// ** Campos utilizados a futuro

	// Nombres de archivo
	// 1. Con el numero del contrato
	// 2. Con el numero de celular+nit (cuando no hay contrato)

	echo "== Carga de Datos ==\n";
	clearstatcache();
	$datatial = "$directorio_ori/$nom_empresa/data-txt";

	$i_files = 0;
	$i_rows = 0;
	$cant_img = 0;
	$cant_img_error = 0;
	$cant_img_buscar = 10; // cantidad de imagenes a buscar por registro en datatial
	$ok1 = false;
	$ok2 = false;
	$id_nuip_old = "";
	$is_error = false;

	$handle_datatial_dir = opendir($datatial);


	while ($file = readdir($handle_datatial_dir))
	{
              //echo $file . "\n";
		if ($file != "." AND $file != ".." AND is_dir($datatial.'/'.$file))
		{
			$dir = $file;
			//echo $dir . "\n";
			if (substr($dir,0,5) == "datos" OR $dir == "consultas")
			{
				clearstatcache();
				echo "Procesando $dir... [".date("g:i a")."]\n";
	      			$handle_disco_dir = opendir($datatial.'/'.$dir);
				while ($file = readdir($handle_disco_dir))
				{
				  $conn = pg_connect("dbname=tialdbx port=5432 user=tialcliente password=522c0ca7869499601b488cc96562df01");
				  if (!$conn) 
          			  {
  					echo "\nERROR de conexion a la base de datos.\n al ejecutar $ssql";
  					exit;
				  }
		  		  @pg_set_client_encoding($conn, 'LATIN1');

				  if ($file != "." AND $file != ".." AND !is_dir($datatial."/".$dir."/".$file))
				  {
					$ssql = "";
					$ssql1 = "";
					if (strtoupper(strstr($file,".")) ==  ".TXT")
					{
						if ($showmsg)
							echo "Analizando... $datatial/$dir/$file";
							$rows = file($datatial."/".$dir."/".$file);
							foreach ($rows as $row_num => $row)
							{
								$data = explode(",",$row);
								$data1 = "";
// EG - 14/04/2008
// Me aseguro que me limpie las variables de nombre cada vez que empieza un nuevo registro
								$file_name_1 = "";
								$file_name_2 = "";
								$file_name = "";
// fin EG - 14/04/2008

								for ($k=0; $k<strlen($data[1]); $k++) // quita los caracteres raros del campo ID_NUIP
								{
									if ($data[1][0] == "-")
										$data1 .= $data[1][0];
									if (is_numeric($data[1][$k]))
										$data1 .= $data[1][$k];
								}
								$data[1] = $data1;
// B1
								for($n=1;$n<=$cant_img_buscar;$n++)
								{
								  	if($n < 10) $compC = "00";
								  	if($n < 100 AND $n > 9) $compC = "0";
								  	$archivoT = "$compC$n";
/**/
									if (substr($dir,0,5) == "datos")
									{
										$file_name_1 = trim(str_replace("\"","",$data[3]))."/".str_replace("\"","",$data[5]);
										$file_name_2 = trim(str_replace("\"","",$data[3]))."/".str_replace("\"","",$data[0]).str_replace("\"","",$data[1]);
									}
									$ssql = "";
	// B1b
									if ($id_nuip_old != $data[1])
				 					{
										if (file_exists($file_name_1))
										{
		 									if($n == 1)
		 									{
												if (trim($data[1]) != "")
													$ssql = "INSERT INTO xcomun.nuips (id_nuip, nom_nuip, tel_1) VALUES (".str_replace("\"","",$data[1]).",'".addslashes(str_replace("\"","",$data[2]))."',".str_replace("\"","",$data[0]).");";
												$ok1 = true;
											}
											$cant_img = $n;
										}
										else 
											if (isset($file_name_2) and file_exists($file_name_2))
											{
		 										if($n == 1)
		 										{
													if (trim($data[1]) != "")
														$ssql = "INSERT INTO xcomun.nuips (id_nuip, nom_nuip, tel_1) VALUES (".str_replace("\"","",$data[1]).",'".str_replace("\"","",$data[2])."',".str_replace("\"","",$data[0])."); ";
													$ok2 = true;
												}
												$cant_img = $n;
											}
											else
											{
												if($n <= 1)
												{
											  		if($ok1 === false)
											  		{
												 	$text = "$file_name_1";
													}
											  		if(isset($file_name_2) and $ok2 === false)
											  		{
												 	$text .= "\t$file_name_2 ";
													}
													if ($showmsg)
												  		echo "\n- ERROR No se encontraron las imagenes $text";
											  		$cant_img_error++;
											  		escribeLog("$dir", "$file", "$text");
											  		$n = $cant_img_buscar+1; // Comentar si quieres saber hasta que imagen existe hasta maximo el valor de la variable $cant_img_buscar
												}
											}
										}
									}
	// B1a
									if (trim($ssql) != "")
									{
										if ($subir_data)
										{
											$result = pg_query($conn, "SELECT COUNT(*) FROM xcomun.nuips WHERE id_nuip = ".str_replace("\"","",$data[1]).";");
	                   								$row = pg_fetch_row($result);
											if ($row[0] == 0)
											{
												/*******************************************************
												 *
												 *  Aca se debe generar el script para
												 *  guardar los nuevos nuips creados en nuips por grupo
												 *  el enredeo es que cada nuip nos debe devolver el
												 *  -- id_nuip_serial -- o debe consultarse de la db
												 *  luego de hacer un array
												 *
												 *******************************************************/
												$result = pg_query($conn, $ssql);
												if (!$result)
												{
  						            						$text = "\nERROR 2 en la ejecucin del SQL [$ssql] generado del archivo [$file]\n";
	   	  											echo $text;
		  											escribeLog("file-log", "error-sql.txt", "$text");
												}
												else
												{
													//echo " - OK!\n";
												}
											}
										}
										else 
											if ($showsql)
												echo $ssql;
									}
								}
// Fin B1
								$ssql = "";
								//echo "\nImagenes: $cant_img\n";
								if ($cant_img > 0)
								{
									if ($ok1)
									{
										$file_name = trim(str_replace("\"","",$data[5]));
									}
									else
										if ($ok2 === true)
											$file_name = trim( str_replace("\"","",$data[0]) . str_replace("\"","",$data[1]) );

									if (trim($data[1]) != "")
										$ssql = "INSERT INTO documentos.archivo (id_grupo, nro_doc_maestro, id_nuip, id_trd, cant_imagenes, path_archivo, nom_archivo, cant_img_contar, localizacion, tipo_archivo) VALUES ($id_grupo, ".str_replace("\"","",$data[0]).",".str_replace("\"","",$data[1]).", $data[7], $data[6],      '".str_replace("\"","",$data[3])."', '$file_name', $data[8],'".trim(str_replace("\"","",$data[4]))."', "$data[9]"); ";

									if (trim($ssql) != "")
									{
										if ($subir_data)
										{
											$result = pg_query($conn, $ssql);
											if (!$result)
											{
						            					$text = "\nERROR 3 en la ejecucin del SQL [$ssql] generado del archivo [$file]\n";
		  										echo $text;
												escribeLog("file-log", "error-sql.txt", "$text");
                        //exit;
											}
											else
											{
												//echo " - OK!\n";
											}
 										}
										else 
											if ($showsql)
												echo $ssql;
									}
								}
								$ok1 = false;
								$ok2 = false;
								$i_rows++;
							}
							$i_files++;
						}
						if ($showmsg)
							echo "Procesado $datatial/$dir/".substr($file, 0, strpos($file,".")).".OK.TXT OK!\n";
						//	echo " - OK!";
						if ($subir_data)
      							rename("$datatial/$dir/$file", "$datatial/$dir/".substr($file, 0, strpos($file,".")).".OK.TXT");
					}
	      			  }
	      			  closedir($handle_disco_dir);
				  echo "$dir -> $i_files Archivos Encontrados - $i_rows Registros leidos - $cant_img_error Errores Encontrados\n";
			       }
			}
		}
	}
	closedir($handle_datatial_dir);

	echo "Fin - $i_files Archivos Encontrados - $i_rows Registros leidos - $cant_img_error Errores Encontrados\n";
?>
