<?php
/* EG - 12/11/2008 egonpin@gmail.com
Ejemplo de USO:

		clear; php carpetas_subida.php [carpetas]

*/

ini_set("display_errors","true");
error_reporting(E_ALL);
set_time_limit(1800);

$subir_data = true;
$showmsg = true;
$showsql = true;

// Modificar la siguiente variable para indicar el directorio en cual se almacena la informacin en DATATIAL
$nom_empresa = "movistar";   // nom_empresa
$id_empresa = 1;       // Id_grupo segun la tabla grupos
$datalog = "./carpetas-log";

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function escribeLog($directorio="", $archivo="", $texto="")
{
	global $showmsg;
	global $nom_empresa;

  $nombre_archivo = "$directorio/$archivo";
  //echo !file_exists("$directorio/$nom_empresa/data-log")."\n\n";
	if (!(file_exists("$directorio")))
	{
		mkdir("$directorio", 0777);
		chgrp("$directorio","tial");
    	chmod("$directorio",0777);
		//chown("./data-log","dbxuser");
  }
	if (!$gestor = fopen("$nombre_archivo", 'a'))
	{
     echo "\n- ERROR! No se puede abrir el archivo ($nombre_archivo)";
  }
  else
	{
		fwrite($gestor, "$texto\n");
	   fclose($gestor);
		if ($showmsg)
		{
	    	echo "\n- ERROR reportado en archivo $nombre_archivo";
		}
	}
   chmod($nombre_archivo,0777);
	chgrp($nombre_archivo,"tial");
	//chown($nombre_archivo,"dbxuser");
}

	// Subida Masiva de Carpetas
	// 12/11/2008 4:38:28 PM
	// Estrucuta de archivo de carpetas
	// [0] - Doc. ID. (NUIP)
	// [1] - Nombre(s)
	// [2] - Apellido(s)
	// [3] - localizacion
	// ** Campos utilizados a futuro

	// Nombres de archivo

// $argv  -- Argumentos linea comandos

	echo "== Subida de Carpetas ==\n";
	clearstatcache();
	$datatial = "./{$argv[1]}";

//	var_dump($argv);

	$i_files = 0;
	$i_rows = 0;
	$cant_img = 0;
	$cant_error = 0;
	$cant_error_tot = 0;
	$is_error = false;

	$handle_datatial_dir = opendir($datatial);
	while ($file = readdir($handle_datatial_dir))
	{
		if ($file != "." AND $file != ".." AND !is_dir("{$datatial}/{$file}" ))
		{
			clearstatcache();
			$i_files++;

//Conexion DB
		  $conn = pg_connect("dbname=tialdbx user=tialcliente password=522c0ca7869499601b488cc96562df01");
			if (!$conn)
			{
				echo "\nERROR de conexion a la base de datos.\n al ejecutar $ssql";
				exit;
			}
	  		@pg_set_client_encoding($conn, 'LATIN1');

			$ssql = "";
			if (strtoupper(strstr($file,".")) ==  ".TXT")
			{
				escribeLog($datalog, substr($file, 0, strpos($file,".")).".log", "Inicio Proceso a las " . date('h:i:s - Y-d-m'));
				if ($showmsg)
					echo "Analizando... $datatial/$file\n";
//Abro el Archivo
				$i_rows = 0;;

				$rows = file("{$datatial}/{$file}");
				foreach ($rows as $row_num => $row)
				{
					$data = explode(",",$row);
					$data1 = "";

					for ($k=0; $k<strlen($data[0]); $k++) // quita los caracteres raros del campo ID_NUIP
					{
						if ($data[0][0] == "-")
							$data1 .= $data[0][0];
						if (is_numeric($data[0][$k]))
							$data1 .= $data[0][$k];
					}
					$data[0] = $data1;

					$ssql = "";
					if(count($data) != 4)
					{
						$texto = "Error $datatial/$file Linea: $i_rows Numero de Columnas incorrecto\n";
						if ($showmsg)
							echo $texto;
						escribeLog($datalog, substr($file, 0, strpos($file,".")).".log", $texto);
						$cant_error++;
					}
					else if ($subir_data)
					{
//var_dump($data);
						// Verifico si el nuip esta registrado
						$result = pg_query($conn, "SELECT COUNT(*) FROM xcomun.nuips WHERE id_nuip = ".str_replace("\"","",$data[0]).";");
        				$row = pg_fetch_row($result);
						if ($row[0] == 0)
						{
							// inserto el nuip
							$result = pg_query($conn, "INSERT INTO xcomun.nuips( id_nuip, nom_nuip, ape_nuip) VALUES ('{$data[0]}', '{$data[1]}', '{$data[2]}');");
						}
						else
						{
							$texto = "Info $datatial/$file Linea: $i_rows El NIT #{$data[0]} ya Existe en el Sistema\n";
							if ($showmsg)
								echo $texto;
							escribeLog($datalog, substr($file, 0, strpos($file,".")).".log", $texto);
							$cant_error++;
						}

						// Verifico que la Carpeta Existe
						$result = pg_query($conn, "SELECT COUNT(*) FROM carpetas.carpetas WHERE id_nuip = {$data[0]}; ");
        				$row = pg_fetch_row($result);
						if ($row[0] == 0)
						{
							$ssql .= "INSERT INTO carpetas.carpetas ( id_nuip, id_grupo, localizacion) VALUES ('{$data[0]}', '{$id_empresa}', '{$data[3]}'); ";
						}
						else
						{
							$texto = "Info $datatial/$file Linea: $i_rows La Carpeta #{$data[0]} ya Existe en el Sistema\n";
							if ($showmsg)
								echo $texto;
							escribeLog($datalog, substr($file, 0, strpos($file,".")).".log", $texto);
							$cant_error++;
						}
					}
					$i_rows++;
				}
				$cant_error_tot += $cant_error;

				if ($subir_data)
				{
					if($showsql)
					{
						echo $ssql;
					}
					$result = pg_query($conn, $ssql);
      			rename("$datatial/$file", "$datatial/".substr($file, 0, strpos($file,".")).".OK.TXT");
      			$ssql = "";
					if ($showmsg)
						echo "Procesado $datatial/".substr($file, 0, strpos($file,".")).".OK.TXT OK! - $i_rows Registros leidos - $cant_error Errores Encontrados\n";
				}

				escribeLog($datalog, substr($file, 0, strpos($file,".")).".log", "Proceso Finalizado a las " . date('h:i:s - Y-d-m'));
				$cant_error =0;
			}
		}
	}
	closedir($handle_datatial_dir);

	echo "Fin - $i_files Archivos Encontrados - $cant_error_tot Warning Encontrados\n";
?>