<?php
session_name($_POST["sidname"]);
session_start();
if(count($_SESSION) == 0)
{
	echo "<script type='text/javascript'>
			alert('Sesion expirada, por favor vuelva a ingresar.');
			window.location.replace('../');
		</script>";
	exit(0);
}
else
{
	include_once($_SERVER['DOCUMENT_ROOT'].$_SESSION["cnf"]["install_path"]."/config/config.inc.php"); // ** NUEVO
	include_once("main_fx.php");

	if(isset($_POST["funcion"]) ) {
		switch($_POST["funcion"]) {
			 case 'consultaCaja': {
				ConsultaCaja( $_POST["CC"] );
			 }
			 break;
			 case 'consultaEnvio': {
				ConsultaEnvio( $_POST["NE"] );
			 }
			 break;
			 case 'RecPaq': {
				RecPaquete( $_POST["CR"], $_POST["NE"], $_POST["idL"], $_POST["CC"], $_POST["idC"], $_POST["loc"]);
			 }
			 break;
			 case 'QuitarPaq': {
				 QuitarPaquete( $_POST["CC"], $_POST["NE"], $_POST["idL"], $_POST["idLegaliza"] );
			 }
			 break;
			 case 'QuitarPaqMasivo': {
				 fQuitarPaqMasivo( $_POST["fL"], $_POST["fA"], $_POST["fCampos"], $_POST["fcB"] );
			 }
			 break;
			 case 'formDevMasiva': {
				fFormDevMasiva( $_POST["filtro"] );
			 }
			 break;
			 case 'formDevoluciones': {
				 fFormDevoluciones( $_POST["idL"] );
			 }
			 break;
			 case 'guardaDevolucion': {
				fguardaDevolucion($_POST["iL"], $_POST["imL"], $_POST["obs"]);
			 }
			 break;
			 case 'guardaDevMasiva': {
				fguardaDevMasiva($_POST["fL"], $_POST["imL"], $_POST["obs"]);
			 }
			 break;
		}
	}
}

////////////////////////////////////////////////////////////////////////
function fQuitarPaqMasivo( $fleg, $fAdic, $fcampos, $fcamposBus )
{
	$fcampos = explode(",", $fcampos);
	$fcamposBus = explode(",", $fcamposBus);
	
	$cadA ="(";
	for( $n=0; $n < count($fcamposBus); $n++) {
		if($n == 0 && $fleg != "") {
			$cadA = ";(";
		}
		else if($cadA != "") {
			$cadA .= ";(OR";
		}

		$cadA .= ",{$fcamposBus[$n]} ,ILIKE, {$fAdic} )"; 
		
	}
//echo $fleg.$cadA;	
	$fleg = filtrarSQL($fleg. ";(AND,,PARENTESISABRIR,)" . $cadA . ";(,,PARENTESISCERRAR,)" );
//echo "\n\n ".$fleg ."\n\n";
	
	if(trim($fleg) == '' ) { $fleg = ""; } else { $fleg = "{$fleg}"; }

	global $cnf;
	$error = "";
	$aborto_proc = false;
	$sdata = Array();
	$sql = "";
	$login = "'{$_SESSION['login']}'";

	$conn  = conectar_db("",true);
	if($id_legalizacion != "NULL")
	{
		$sql = " SELECT id_legalizacion, id_estado_envio"
				. " FROM envios.legalizaciones"
				. " WHERE id_legalizacion IN ( SELECT id_legalizacion FROM movistar.legalizaciones_v2 WHERE {$fleg} ); ";
		$err_txt = "Buscar ";
	}
	else
	{
		$aborto_proc = true;
		$error = "Documento o Carpeta No Seleccionado.";
	}

//echo $sql;
 	$resultado = query_db($sql, true);
	if (query_estado("err_msg", true) != "")
	{
	  $error = "No se pudo {$err_txt} el Documento o Carpeta Seleccionado. ";
	  $sql_error = $sql;
	  $aborto_proc = true;
	}

	if($aborto_proc == false)
	{
		$sql = "BEGIN; ";
		while($row_sel = fetch_array_db($resultado)) {
//var_dump($row_sel);
			if($row_sel['id_estado_envio'] == "4")
			{
				// Insertar el Documento
				$sql .= " DELETE FROM envios.legalizaciones"
					. " WHERE id_legalizacion = {$row_sel['id_legalizacion']}; ";
				$err_txt = "Eliminar";
			}
			else
			{
				$sql .= " UPDATE envios.legalizaciones SET"
					. " cod_caja_real = NULL"
					. ", nro_envio_real = NULL"
					. ", localizacion = NULL"
					. ", id_contrato = NULL"
					. ", fec_recep = NULL"
					. ", login_recep = NULL"
					. ", fec_tx = now()"
					. ", id_estado_envio = 2"
					. ", login_ce = {$login}"
					. ", fec_ce = now()"
					. " WHERE id_legalizacion = {$row_sel['id_legalizacion']} RETURNING id_legalizacion; ";
				$err_txt = "Actualizar";
			}
		}
	}
//echo $sql; // 4548 13
	$resultado = query_db($sql, true);
	if (query_estado("err_msg", true) != "")
	{
	  $error = "No se pudo {$err_txt} el Documento Seleccionado en la Caja. ";
	  $sql_error = $sql;
	  $aborto_proc = true;
	}
	$resultado = fetch_array_db($resultado);

	$sql1 = " SELECT count(*) AS conteo"
				. " FROM envios.legalizaciones"
				. " WHERE id_legalizacion IN ( SELECT id_legalizacion FROM movistar.legalizaciones_v2 WHERE {$fleg} ); ";

	$resultado2 = query_db($sql1, true);
	$resultado2 = fetch_array_db($resultado2);

	// Finalizacion del Proceso
	if($aborto_proc == true) {
		query_db("ROLLBACK;", true);
		$sdata['error'] = $error;
		$sdata['sql'] = $sql_error;

	}
	else {
		$sdata['data'] = ($resultado);
		$sdata['recarga_listar'] = 1;
		query_db("COMMIT;", true);

	}

	$sdata['success'] = !$aborto_proc;
	$sdata['proceso'] = "QuitarPaq";
	$sdata['contador'] = $resultado2[0];

	$sdata = json_encode(to_utf8($sdata));

 header("Content-Type: application/json; charset=utf-8");
 header("Content-Size: " . strlen($sdata));
 header('X-JSON: ('.$sdata.')');
}


////////////////////////////////////////////////////////////////////////
function fFormDevMasiva($filtro)
{
  	global $cnf;
//var_dump($filtro);
  	$filtro = filtrarSQL($filtro);
//var_dump($filtro);

	$campos['filtro_leg'] = gen_campo_html(array("nom_campo_id"=>"filtro_leg"
											, "label_html"	=> "Id."
											, "is_readonly"=> false
											, "is_hidden"	=> true
											, "is_null"		=> true
											, "vr_defecto" => $filtro
											, "is_horizontal"=> true ));

	$campos['id_motivo_devolucion'] = gen_campo_html(array("nom_campo_id"=>"id_motivo_devolucion"
											, "label_html"=>"Motivo"
											, "type"=>"COMBOBOX"
											, "is_readonly"=>false
											, "is_hidden"=>false
											, "is_null"=>true
											, "is_horizontal"=>true));

	$campos['observacion'] = gen_campo_html(array("nom_campo_id" => "observacion"
											, "label_html" =>"Observaci&oacute;n"
											, "type" =>"TEXT"
											, "is_readonly" =>false
											, "is_hidden" =>false
											, "is_null" =>false
											, "is_horizontal" =>true));

	$contSCRIPT =<<<contSCRIPT
	<script type="text/javascript">
	//////////////////////////////////////////////////////////////////////// Cat Motivos Devolucion
		oCBx_id_motivo_devolucion = objCB("id_motivo_devolucion",
									"envios.cat_motivos_devoluciones",
									"id_motivo_devolucion",
								   "nom_motivo_devolucion, desc_motivo_devolucion",
									1,
									""
									);
		oCBx_id_motivo_devolucion.isNull = true;
		oCBx_id_motivo_devolucion.isNullVis = false;
		oCBx_id_motivo_devolucion.orden = "nom_motivo_devolucion";
		oCBx_id_motivo_devolucion.consulta(true);
	</script>
contSCRIPT;

	$contHTML =<<<contHTML
			<div id='form_devolucion'>
				{$campos['id_motivo_devolucion']}
				{$campos['observacion']}
				{$campos['filtro_leg']}
				<button onclick='f_devMasivo()'><img src="../img/env_devolver.png"/>Devolver</button>
			</div>
contHTML;

	header("Content-Type: application/html; charset=utf-8");
	echo to_utf8($contSCRIPT);
	echo to_utf8($contHTML);
}

////////////////////////////////////////////////////////////////////////
function fFormDevoluciones($idLegalizacion)
{
  	global $cnf;
//echo "lega: {$idLegalizacion}";
	$campos['id_legalizacion'] = gen_campo_html(array("nom_campo_id"=>"id_legalizacion"
											, "label_html"=>"Id."
											, "is_readonly"=>false
											, "is_hidden"=>true
											, "is_null"=>true
											, "vr_defecto" => $idLegalizacion
											, "is_horizontal"=>true));

	$campos['id_motivo_devolucion'] = gen_campo_html(array("nom_campo_id"=>"id_motivo_devolucion"
											, "label_html"=>"Motivo"
											, "type"=>"COMBOBOX"
											, "is_readonly"=>false
											, "is_hidden"=>false
											, "is_null"=>true
											, "is_horizontal"=>true));

	$campos['observacion'] = gen_campo_html(array("nom_campo_id" => "observacion"
											, "label_html" =>"Observaci&oacute;n"
											, "type" =>"TEXT"
											, "is_readonly" =>false
											, "is_hidden" =>false
											, "is_null" =>false
											, "is_horizontal" =>true));

	$contSCRIPT =<<<contSCRIPT
	<script type="text/javascript">
	//////////////////////////////////////////////////////////////////////// Cat Motivos Devolucion
		oCBx_id_motivo_devolucion = objCB("id_motivo_devolucion",
									"envios.cat_motivos_devoluciones",
									"id_motivo_devolucion",
								   "nom_motivo_devolucion, desc_motivo_devolucion",
									1,
									""
									);
		oCBx_id_motivo_devolucion.isNull = true;
		oCBx_id_motivo_devolucion.isNullVis = false;
		oCBx_id_motivo_devolucion.orden = "nom_motivo_devolucion";
		oCBx_id_motivo_devolucion.consulta(true);
	</script>
contSCRIPT;

	$contHTML =<<<contHTML
			<div id='form_devolucion'>
				{$campos['id_motivo_devolucion']}
				{$campos['observacion']}
				{$campos['id_legalizacion']}
				<button onclick='f_devolver()'><img src="../img/env_devolver.png"/>Devolver</button>
			</div>
contHTML;

	header("Content-Type: application/html; charset=utf-8");
	echo to_utf8($contSCRIPT);
	echo to_utf8($contHTML);
}

////////////////////////////////////////////////////////////////////////
function fguardaDevMasiva($fLegalizacion, $idMotivoLeg, $observacion)
{
	if(trim($fLegalizacion)== '') { $fLegalizacion = ""; }   else { $fLegalizacion = "{$fLegalizacion}"; }
	if(trim($idMotivoLeg) == '' ) { $idMotivoLeg = "NULL"; } else { $idMotivoLeg = "'{$idMotivoLeg}'"; }
	if(trim($observacion) == '' ) { $observacion = "NULL"; } else { $observacion = "'{$observacion}'"; }

	global $cnf;
	$error = "";
	$aborto_proc = false;
	$sdata = Array();
	$login = "'{$_SESSION['login']}'";

	$conn = conectar_db("",true);
	if($idLegalizacion == "NULL") {
		$aborto_proc = true;
		$err_txt = "Insertar";
	}
	else {
		$sql = "BEGIN;"
				. " UPDATE envios.legalizaciones SET id_estado_envio = 11, is_devuelto = true, login_ce = {$login}, fec_ce = now() WHERE id_legalizacion IN "
				. "( SELECT id_legalizacion FROM movistar.legalizaciones_v2 WHERE {$fLegalizacion} ) RETURNING id_legalizacion; ";

		$err_txt = "Actualizar";
	}

	if($aborto_proc === false) {
		$resultado = query_db($sql, true);
		if (query_estado("err_msg", true) != "") {
		  $error = "No se pudo {$err_txt} la Devolucion";
		  $aborto_proc = true;
		  $sql_error = $sql;
		}
		else {
			$err_txt = "Insertar";
			$sql = "";
			while($row_sel = fetch_array_db($resultado)) {
				$sql .= " INSERT INTO envios.devoluciones_legalizaciones"
						. " (id_motivo_devolucion, id_legalizacion, observacion, login_tx, fec_tx) VALUES"
						. " ({$idMotivoLeg}, {$row_sel['id_legalizacion']}, {$observacion}, {$login}, now()) RETURNING id_devolucion_legalizacion; ";
			}
		}
	}

	if($aborto_proc === false)
	{
		$resultado = query_db($sql, true);
		if (query_estado("err_msg", true) != "")
		{
		  $error = "No se pudo {$err_txt} la Devolucion";
		  $aborto_proc = true;
		  $sql_error = $sql;
		}
	}

	// Finalizacion del Proceso
	if($aborto_proc === true)
	{
		query_db("ROLLBACK;", true);
		$sdata['error'] = $error;
		$sdata['sql'] = $sql_error;
	}
	else
	{
//		$sdata['sql'] = $sql;
		$sdata['data'] = Array( $resultado[0] );
		query_db("COMMIT;", true);
	}
	
	$sdata['success'] = !$aborto_proc;
	$sdata = json_encode(to_utf8($sdata));

 header("Content-Type: application/json; charset=utf-8");
 header("Content-Size: " . strlen($sdata));
 header('X-JSON: ('.$sdata.')');

}

////////////////////////////////////////////////////////////////////////
function fguardaDevolucion($idLegalizacion, $idMotivoLeg, $observacion)
{
	if(trim($idLegalizacion) == '' ) { $idLegalizacion = "NULL"; } else { $idLegalizacion = "'{$idLegalizacion}'"; }
	if(trim($idMotivoLeg) == '' ) { $idMotivoLeg = "NULL"; } else { $idMotivoLeg = "'{$idMotivoLeg}'"; }
	if(trim($observacion) == '' ) { $observacion = "NULL"; } else { $observacion = "'{$observacion}'"; }

	global $cnf;
	$error = "";
	$aborto_proc = false;
	$sdata = Array();
	$login = "'{$_SESSION['login']}'";

	$conn  = conectar_db("",true);
	if($idLegalizacion == "NULL")
	{
		$aborto_proc = true;
		$err_txt = "Insertar";
	}
	else
	{
		$sql = "BEGIN;"
				. " UPDATE envios.legalizaciones SET id_estado_envio = 11, is_devuelto = true, login_ce = {$login}, fec_ce = now() WHERE id_legalizacion = {$idLegalizacion};"
				. " INSERT INTO envios.devoluciones_legalizaciones"
				. " (id_motivo_devolucion, id_legalizacion, observacion, login_tx, fec_tx) VALUES"
				. " ({$idMotivoLeg}, {$idLegalizacion}, {$observacion}, {$login}, now()) RETURNING id_devolucion_legalizacion; ";
		$err_txt = "Guardar";
	}

	if($aborto_proc === false)
	{
		$resultado = query_db($sql, true);
		if (query_estado("err_msg", true) != "")
		{
		  $error = "No se pudo {$err_txt} la Devolucion";
		  $aborto_proc = true;
		}
	}

	// Finalizacion del Proceso
	if($aborto_proc === true)
	{
		query_db("ROLLBACK;", true);
		$sdata['error'] = $error;
		$sdata['sql'] = $sql;
	}
	else
	{
		$sdata['data'] = Array( $resultado[0] );
		query_db("COMMIT;", true);
	}

	$sdata['success'] = !$aborto_proc;
	$sdata = json_encode(to_utf8($sdata));

 header("Content-Type: application/json; charset=utf-8");
 header("Content-Size: " . strlen($sdata));
 header('X-JSON: ('.$sdata.')');
}

////////////////////////////////////////////////////////////////////////
function QuitarPaquete( $cod_caja, $nro_envio, $id_leg, $id_legalizacion)
{
	if(trim($cod_caja) == '' ) { $cod_caja = "NULL"; } else { $cod_caja = "'{$cod_caja}'"; }
	if(trim($nro_envio) == '' ) { $nro_envio = "NULL"; } else { $nro_envio = "'{$nro_envio}'"; }
	if(trim($id_legalizacion) == '' ) { $id_legalizacion = "NULL"; } else { $id_legalizacion = "'{$id_legalizacion}'"; }
	if(trim($id_leg) == '' ) { $id_leg = "NULL"; } else { $id_leg = "'{$id_leg}'"; }

	global $cnf;
	$error = "";
	$aborto_proc = false;
	$sdata = Array();
	$sql = "";
	$login = "'{$_SESSION['login']}'";

	$conn  = conectar_db("",true);
	if($id_legalizacion != "NULL")
	{
		$sql = " SELECT id_estado_envio"
				. " FROM envios.legalizaciones"
				. " WHERE id_legalizacion = {$id_legalizacion};";
		$err_txt = "Buscar ";
	}
	else
	{
		$aborto_proc = true;
		$error = "Documento o Carpeta No Seleccionado.";
	}

 	$resultado = query_db($sql, true);
	if (query_estado("err_msg", true) != "")
	{
	  $error = "No se pudo {$err_txt} el Documento o Carpeta Seleccionado. ";
	  $aborto_proc = true;
	}
	$resultado = fetch_array_db($resultado);

	if($aborto_proc == false)
	{
		if($resultado[0] == "4")
		{
			// Insertar el Documento
			$sql = "BEGIN;"
				. " DELETE FROM envios.legalizaciones"
				. " WHERE id_legalizacion = {$id_legalizacion}; ";
			$err_txt = "Eliminar";
		}
		else
		{
			$sql = "BEGIN;"
				. " UPDATE envios.legalizaciones SET"
				. " cod_caja_real = NULL"
					. ", localizacion = NULL"
					. ", id_contrato = NULL"
					. ", nro_envio_real = NULL"
				. ", login_recep = NULL"
				. ", fec_recep = NULL"
				. ", fec_tx = now()"
				. ", id_estado_envio = 2"
				. ", login_ce = {$login}"
				. ", fec_ce = now()"
				. " WHERE id_legalizacion = {$id_legalizacion} RETURNING id_legalizacion; ";
			$err_txt = "Actualizar";
		}
	}
//echo $sql;
	$resultado = query_db($sql, true);
	if (query_estado("err_msg", true) != "")
	{
	  $error = "No se pudo {$err_txt} el Documento Seleccionado en la Caja {$cod_caja}. ";
	  $aborto_proc = true;
	}
	$resultado = fetch_array_db($resultado);

	$sql1 = " SELECT count(*) AS conteo"
				. " FROM envios.legalizaciones"
				. " WHERE cod_caja_real = {$cod_caja}"
				. " AND nro_envio_real = {$nro_envio};";
	$resultado2 = query_db($sql1, true);
	$resultado2 = fetch_array_db($resultado2);

	// Finalizacion del Proceso
	if($aborto_proc == true)
	{
		query_db("ROLLBACK;", true);
		$sdata['error'] = $error;
		$sdata['sql'] = $sql;

	}
	else
	{
		$sdata['data'] = ($resultado);
		$sdata['recarga_listar'] = 1;
		query_db("COMMIT;", true);

	}

	$sdata['success'] = !$aborto_proc;
	$sdata['proceso'] = "QuitarPaq";
	$sdata['contador'] = $resultado2[0];

	$sdata = json_encode(to_utf8($sdata));

 header("Content-Type: application/json; charset=utf-8");
 header("Content-Size: " . strlen($sdata));
 header('X-JSON: ('.$sdata.')');
}

////////////////////////////////////////////////////////////////////////
function ConsultaEnvio($nro_envio) {
	if(trim($nro_envio) == '' ) { $nro_envio = "NULL"; } else { $nro_envio = "'{$nro_envio}'"; }

	global $cnf;
	$error = "";
	$aborto_proc = false;
	$sdata = Array();
	$sql = "";
	$login = "'{$_SESSION['login']}'";
	$conn  = conectar_db("",true);

	if($nro_envio == "NULL")
	{
		$aborto_proc = true;
		$error = "Caja sin Nro Envio.";
	}

	if($aborto_proc == false)
	{
		$sql = "SELECT lc1.nro_envio, lc1.cod_caja "
				. " FROM movistar.legalizaciones_cajas_v1 lc1 "
				. " WHERE nro_envio = {$nro_envio}; ";

		$resultado = query_db($sql, true);
		if (query_estado("err_msg", true) != "")
		{
		  $error = "No se pudo Encontrar el Envio {$nro_envio}. ";
		  $aborto_proc = true;
		}
		$resultado = fetch_array_db($resultado);

		$sdata['cod_caja'] = $resultado[1];
		$sdata['nro_envio'] = $resultado[0];
	}

	// Finalizacion del Proceso
	if($aborto_proc == true)
	{
//		query_db("ROLLBACK;", true);
		$sdata['error'] = $error;
		$sdata['sql'] = $sql;
	}
//	else
//	{
//		query_db("COMMIT;", true);
//	}

	$sdata['success'] = !$aborto_proc;

	$sdata = json_encode(to_utf8($sdata));

 header("Content-Type: application/json; charset=utf-8");
 header("Content-Size: " . strlen($sdata));
 header('X-JSON: ('.$sdata.')');
}

////////////////////////////////////////////////////////////////////////
function ConsultaCaja($cod_caja) {
	if(trim($cod_caja) == '' )
  {
     $cod_caja = "NULL";
  }
  else
  {
    $cod_caja = "'{$cod_caja}'";
  }
//echo "Fun CC: {$cod_caja}";
	global $cnf;
	$error = "";
	$aborto_proc = false;
	$sdata = Array();
	$sql = "";
	$login = "'{$_SESSION['login']}'";
	$conn  = conectar_db("",true);

	if($cod_caja == "NULL")
	{
		$aborto_proc = true;
		$error = "Caja sin Identificacion.";
	}

	if($aborto_proc == false)
	{
		$sql = "SELECT DISTINCT lc1.nro_envio, lc1.cod_caja "
				. " FROM movistar.legalizaciones_cajas_v1 lc1 "
				. " WHERE cod_caja = {$cod_caja} AND nro_envio IS NOT NULL; ";

//echo $sql;
		$resultado = query_db($sql, true);
		if (query_estado("err_msg", true) != "")
		{
		  $error = "No se pudo Encontrar la Caja {$cod_caja}. ";
		  $aborto_proc = true;
		}
		$resultado = fetch_array_db($resultado);

		$sdata['cod_caja'] = $resultado[1];
		$sdata['nro_envio'] = $resultado[0];
	}

	// Finalizacion del Proceso
	if($aborto_proc == true)
	{
//		query_db("ROLLBACK;", true);
		$sdata['error'] = $error;
		$sdata['sql'] = $sql;
	}
//	else
//	{
//		query_db("COMMIT;", true);
//	}

//echo "1";
	$sdata['success'] = !$aborto_proc;

	$sdata = json_encode(to_utf8($sdata));

//var_dump($sdata);
 header("Content-Type: application/json; charset=utf-8");
 header("Content-Size: " . strlen($sdata));
 header('X-JSON: ('.$sdata.')');
 echo $data;
}

////////////////////////////////////////////////////////////////////////
function RecPaquete($cod_caja, $nro_envio, $id_legalizacion, $cod_caja_cantada, $id_contrato, $localizacion) {
	if(trim($cod_caja_cantada) == '' ) { $cod_caja_cantada = "NULL"; } else { $cod_caja_cantada = "'{$cod_caja_cantada}'"; }
	if(trim($cod_caja) == '' ) { $cod_caja = "NULL"; } else { $cod_caja = "'{$cod_caja}'"; }
	if(trim($nro_envio) == '' ) { $nro_envio = "NULL"; } else { $nro_envio = "'{$nro_envio}'"; }
	if(trim($id_legalizacion) == '' ) { $id_legalizacion = "NULL"; } else { $id_legalizacion = "'{$id_legalizacion}'"; }
	if(trim($id_leg) == '' ) { $id_leg = "NULL"; } else { $id_leg = "'{$id_leg}'"; }
	if(trim($id_contrato) == '' ) { $id_contrato = "NULL"; } else { $id_contrato = "'{$id_contrato}'"; }
	if(trim($localizacion) == '' ) { $localizacion = "NULL"; } else { $localizacion = "'{$localizacion}'"; }

	global $cnf;
	$error = "";
	$aborto_proc = false;
	$sdata = Array();
	$sql = "";
	$login = "'{$_SESSION['login']}'";

	$conn  = conectar_db("",true);
	if($id_legalizacion != "NULL")
	{
		$sql = " SELECT count(*) AS conteo"
				. " FROM envios.legalizaciones"
				. " WHERE id_leg = {$id_legalizacion};";
		$err_txt = "Buscar ";
	}
	else
	{
		$aborto_proc = true;
		$error = "Documento o Carpeta No Seleccionado.";
	}

 	$resultado = query_db($sql, true);
	if (query_estado("err_msg", true) != "")
	{
	  $error = "No se pudo {$err_txt} el Documento o Carpeta Seleccionado. ";
	  $aborto_proc = true;
	}
	$resultado = fetch_array_db($resultado);

	if($aborto_proc == false)
	{
		if($resultado[0] == "0")
		{
			// Insertar el Documento
			$sql = "BEGIN;"
				. " INSERT INTO envios.legalizaciones"
				. " (cod_caja, cod_caja_real, nro_envio_real, id_leg, login_recep, fec_recep, fec_tx, id_estado_envio, login, login_ce, fec_ce, id_contrato, localizacion) VALUES"
				. " ({$cod_caja_cantada}, {$cod_caja}, {$nro_envio}, {$id_legalizacion}, {$login}, now(), now(), 4, {$login}, {$login}, now(), {$id_contrato}, {$localizacion}) RETURNING id_legalizacion; ";
			$err_txt = "Insertar";
		}
		else
		{
			// Update a la nueva Caja, precaucion en caso de que el correo halla sido enviado en otra caja, posible error
			$sql = " SELECT id_legalizacion "
					. " FROM envios.legalizaciones"
					. " WHERE id_leg = {$id_legalizacion};";
			$resultado = query_db($sql, true);
			if (query_estado("err_msg", true) != "")
			{
			  $error = "No se pudo Leer el Documento o Carpeta Seleccionado. ";
			  $aborto_proc = true;
			}
			$resultado = fetch_array_db($resultado);
			$id = "'{$resultado[0]}'";

			$sql = "BEGIN;"
				. " UPDATE envios.legalizaciones SET"
				. " id_legalizacion = {$id}"
				. ", cod_caja_real = {$cod_caja}"
				. ", nro_envio_real = {$nro_envio}"
				. ", id_leg = {$id_legalizacion}"
				. ", login_recep = {$login}"
				. ", fec_recep = now()"
				. ", fec_tx = now()"
				. ", id_estado_envio = 3"
				. ", login_ce = {$login}"
				. ", fec_ce = now()"
				. ", id_contrato = {$id_contrato}"
				. ", localizacion = {$localizacion}"
				. " WHERE id_legalizacion = {$id} RETURNING id_legalizacion; ";
			$err_txt = "Actualizar";
		}
	}

	$resultado = query_db($sql, true);
	if (query_estado("err_msg", true) != "")
	{
	  $error = "No se pudo {$err_txt} el Documento Seleccionado en la Caja {$cod_caja}. ";
	  $aborto_proc = true;
	}
	$resultado = fetch_array_db($resultado);


	$sql1 = " SELECT count(*) AS conteo"
				. " FROM envios.legalizaciones"
				. " WHERE cod_caja_real = {$cod_caja}"
				. " AND nro_envio_real = {$nro_envio};";
	$resultado2 = query_db($sql1, true);
	$resultado2 = fetch_array_db($resultado2);


	// Finalizacion del Proceso
	if($aborto_proc == true)
	{
		query_db("ROLLBACK;", true);
		$sdata['error'] = $error;
		$sdata['sql'] = $sql;

	}
	else
	{
		$sdata['data'] = ($resultado);
		$sdata['recarga_listar'] = 1;
		query_db("COMMIT;", true);
	}

	$sdata['success'] = !$aborto_proc;
	$sdata['proceso'] = "RecPaq";
	$sdata['contador'] = $resultado2[0];

	$sdata = json_encode(to_utf8($sdata));

 header("Content-Type: application/json; charset=utf-8");
 header("Content-Size: " . strlen($sdata));
 header('X-JSON: ('.$sdata.')');
}

?>
