<?php
error_reporting(E_ALL);
require_once("../includes/pdf_header.php");
require_once("../includes/codigobarras.php");

global $cnf;
   if (isset($_GET["p1"])) $p1 = trim($_GET["p1"]);
   else $p1= "-1";
   if(trim($p1) == "") $p1 = "-1";

   if (isset($_GET["v"])) $ver = trim($_GET["v"]);
   else $ver = "1";
   if(trim($ver) == "") $ver = "1";

   $coneccion = conectar_db("",false);

  $cad1 = "";

  if($p1 != -1) {
    $cad1 = "cons_plan_correo_s = $p1 AND id_grupo_s IN ({$cnf['grupos_usuario']}) ";
  }

////////////////////////////////////////////////////////////////////////////////
      $ssql = "SELECT cons_plan_correo_s, maq_fec_s, cons_guia_s, precinto_courrier_s, obs_courrier_s, nom_fuelle_s, nom_centro_correo_s, nom_courrier_s, nom_fuelle_r, nom_centro_correo_r".
             " FROM correspondencia.plan_correos_v1 WHERE $cad1 ";

//echo $ssql;

      $result = query_db($ssql, true);
      if (query_estado("err_msg",true) != "") {
        echo query_estado("err_msg",true);
      }
      else {
         $row = pg_fetch_assoc($result);
      }

      $_nom_courrier_s = $row['nom_courrier_s'];
      $_cons_guia_s = $row['cons_guia_s'];
      $_precinto_courrier_s = $row['precinto_courrier_s'];

////////////////////////////////////////////////////////////////////////
// ENCABEZADO
   $mainFont = $cnf["lib_path_server"]  . "/fonts/Helvetica.afm";
   $codeFont = $cnf["lib_path_server"]  . "/fonts/Courier.afm";

   $fecha = "" . date('Y/m/d h:i A');
   $pdf = new Cezpdf('LETTER','landscape');

   $pdf -> ezSetCmMargins(3.5, 1, 1, 1.5); //2.6, 1, 1, 1.5

   $all = $pdf->openObject();
   $pdf->setStrokeColor(0,0,0,1);
   $pdf->selectFont($mainFont);

   $pdf->addInfo("Producer","Digital Business - www.digital01.com");
   $pdf->addInfo("Keywords","Documentos, Impresion, Salida de Correspondencia, Colombia, netDBX, $fecha, Tial");
   $pdf->addInfo("Title","Salida de Correspondencia");

//    $pdf->addInfo("CreationDate",$fecha;

   $pdf->addInfo("Creator","Tial");

      if(!isset($cnf["logo_cliente_reporte"]) AND $cnf["logo_cliente_reporte"] == '' ) {
         $pdf->addJpegFromFile("barra_tial.jpg",20,570);  // portrair: 750
      }
      else {
         $pdf->addJpegFromFile($cnf["images_path_server"].$cnf["logo_cliente_reporte"],20,570); // portrair: 750
      }
   $pdf->addText(320,585,12,'<b>GESTION DOCUMENTAL</b>'); // portrair: 240,765
   $pdf->addText(335,570,10,'<b>- CORRESPONDENCIA -</b>'); // portrair: 255,750

// $pdf->addText(500,780,5,'Formato Impresion, Version 1.1, 2008.');
   $pdf->setColor(0,0,0);
//    $pdf->addText(115,762,7,'<b>N.I.T.: 800.073.090-8 </b>    -    <b>Cra 18 No 164 -44</b>');

   $pdf->addText(600,582,8,'<b>ENVIO No.</b>'); // portrair: 460,762
   $pdf->addText(650,582,12,"<b> ". $row['cons_plan_correo_s'] ."</b>"); // portrair: 510,762

   $pdf->setColor(0,0,0);
   $pdf->addText(640,560,8, "Fecha Envio:  <b>". $row['maq_fec_s'] ."</b>"); // portrair: 460,740
   $pdf->addText(640,542,8, "Fecha Imp  :   <b>$fecha</b>"); // portrair: 460,722

   $pdf->addText(20,550,8,"<b>Destino: ". $row['nom_fuelle_s'] ."</b>   Centro/Corresp.: <b>" .$row['nom_centro_correo_s'] ."</b>"); // portrair: 20,730
   $pdf->addText(20,535,8,"<b>Origen: ". $row['nom_fuelle_r'] ."</b>    Centro/Corresp.: <b>" .$row['nom_centro_correo_r'] ."</b>" );// portrair: 20,715

//    $pdf->addText(350,721,8,"Observaciones:<b> ". $row['obs_courrier_s'] ."</b> ");
   $txtObs =  $row['obs_courrier_s'];

   $pdf->line(16,525,775,525); // superior 1  // portrair: 16,705,594,705

   $pdf->addText( 25,516,7,'<b>Rad.#</b>');          // portrair: 18,696
   $pdf->addText( 90,516,7,'<b>DESCRIPCION</b>');  // 70,696
   $pdf->addText(260,516,7,'<b>DESTINATARIO</b>');  // 195,696
   $pdf->addText(355,516,7,'<b>EMPRESA</b>'); // 415,696
   $pdf->addText(430,516,7,'<b>REMITENTE</b>');   // 495,696
   $pdf->addText(505,516,7,'<b>Folios</b>');       // 282,696
   $pdf->addText(555,516,7,'<b>TIPO</b>');     // 342,696

   
   if($ver == 2) {
//    $pdf->addText(618,516,7,'<b>RELOJ</b>');   // 550,696
//    $pdf->addText(650,516,7,'<b>Rad. Remitente</b>');  //580,696
      $pdf->addText(670,516,7,'<b>OK - Firma</b>');     //720,
   } else {
      $pdf->addText(618,516,7,'<b>RELOJ</b>');   // 550,696
      $pdf->addText(650,516,7,'<b>Rad. Remitente</b>');  //580,696
      $pdf->addText(720,516,7,'<b>OK - Firma</b>');     //720,
   }
//180
   $pdf->line(16,513,775,513); // superior 2  // portrair: 16,693,594,693

   // Footer
   $pdf->addText(40,10,7,'TIAL.                  REPORTE');
   $pdf->line(20,20,775,20);  // inferior
   $pdf->ezStartPageNumbers(500,8,9,'','{PAGENUM} de {TOTALPAGENUM}',1);  // numeracion de paginas

//    $pdf->restoreState();
   $pdf->closeObject();

// Agregando encabezado
   $pdf->addObject($all,'all');

/////////
// CUERPO

// consulta por grupo
//       $ssql = "SELECT cons_centro_correo, nom_fuelle_dest, nom_centro_correo_dest, maq_nom_dest, desc_correo, cant_folios, nom_tipo_correo
      $ssql = "SELECT cons_centro_correo, maq_nom_nuip, emp_remitente, maq_nom_dest, desc_correo, cant_folios, nom_tipo_correo, cons_reloj, cod_radicado, nom_dir_dest, nom_ciudad_dest "
         . "   FROM correos_v1 "
         . "   WHERE $cad1 ORDER BY maq_nom_dest, cons_centro_correo; ";
      $result = query_db($ssql, true);
      if (query_estado("err_msg",true) != "")  echo query_estado("err_msg",true);

      if($ver == 2) {
         $formato2f1 = array('showHeadings' => 0,
            'shaded'    => 0,
            'showLines'    => 1,
            'colGap'    => 1,
            'rowGap'    => 2,
            'fontSize'     => 7,
            'xPos'         => 396,
            'cols'=>array(
                  'cons_centro_correo' => array('justification'=>'right','width'=>'40'),
                  'desc_correo' => array('justification'=>'left','width'=>'150','fontSize'=>5), // 160
                  'maq_nom_dest'  => array('justification'=>'left','width'=>'150','fontSize'=>5), // 160
                  'emp_remitente' => array('justification'=>'left','width'=>'75','fontSize'=>5),
                  'maq_nom_nuip'   => array('justification'=>'left','width'=>'75','fontSize'=>5),
                  'cant_folios'  => array('justification'=>'center','width'=>'20','fontSize'=>5), // 30
                  'nom_tipo_correo' => array('justification'=>'left','width'=>'90','fontSize'=>5),
                  'ok'  => array('justification'=>'right','width'=>'160','fontSize'=>8) // 100
                )
            );

         $formato2f2 = array('showHeadings' => 0,
            'shaded'    => 0,
            'showLines'    => 1,
            'colGap'    => 1,
            'rowGap'    => 2,
            'fontSize'     => 7,
            'xPos'         => 396,
            'cols'=>array(
                  'dir'  => array('justification'=>'left','width'=>'450','fontSize'=>8) // 100
                  , 'ciudad'  => array('justification'=>'left','width'=>'150','fontSize'=>8) // 100
                  , 'firma' => array('justification'=>'left','width'=>'160','fontSize'=>8) // 100
                )
            );
         $formato2f3 = array('showHeadings' => 0,
            'shaded'    => 0,
            'showLines'    => 0,
            'colGap'    => 1,
            'rowGap'    => 2,
            'fontSize'     => 7,
            'xPos'         => 396,
            'cols'=>array(
                  'blank'  => array('justification'=>'right','width'=>'760','fontSize'=>8) // 100
                )
            );
      } else {
         $formato1 = array('showHeadings' => 0,
            'shaded'    => 0,
            'showLines'    => 1,
            'colGap'    => 1,
            'rowGap'    => 2,
            'fontSize'     => 7,
            'xPos'         => 396,
            'cols'=>array(
                  'cons_centro_correo' => array('justification'=>'right','width'=>'40'),
                  'desc_correo' => array('justification'=>'left','width'=>'150','fontSize'=>5), // 160
                  'maq_nom_dest'  => array('justification'=>'left','width'=>'150','fontSize'=>5), // 160
                  'emp_remitente' => array('justification'=>'left','width'=>'75','fontSize'=>5),
                  'maq_nom_nuip'   => array('justification'=>'left','width'=>'75','fontSize'=>5),
                  'cant_folios'  => array('justification'=>'center','width'=>'20','fontSize'=>5), // 30
                  'nom_tipo_correo' => array('justification'=>'left','width'=>'90','fontSize'=>5),
                  'reloj'  => array('justification'=>'right','width'=>'30','fontSize'=>8),
                  'cod_radicado' => array('justification'=>'right','width'=>'60','fontSize'=>8),
                  'ok'  => array('justification'=>'right','width'=>'70','fontSize'=>8) // 100
                )
            );
      }

 $old_gr = -1;
   while ($row = pg_fetch_assoc($result)) // While de grupo
   {
      $old_gr = $id_grupo;
      if($ver == 2) {
         $data = array(array( 'cons_centro_correo' => "". $row['cons_centro_correo'] . " ",
               'desc_correo'        => "" . $row['desc_correo'] . " ",
               'maq_nom_dest'       => "<b>" . $row['maq_nom_dest'] . "</b> ",
               'emp_remitente'         => "<b>" . $row['emp_remitente'] . "</b> ",
               'maq_nom_nuip'       => "<b>" . $row['maq_nom_nuip'] . "</b> ",
               'cant_folios'        => "" . $row['cant_folios'] . " ",
               'nom_tipo_correo'    => "" . $row['nom_tipo_correo'] . " ",
               'ok'              => "" //<b>[__]</b>
             ));

         $pdf->ezTable($data,$columnas,$tit_tabla,$formato2f1);
      }
      else {
         $data = array(array( 'cons_centro_correo' => "". $row['cons_centro_correo'] . " ",
               'desc_correo'        => "" . $row['desc_correo'] . " ",
               'maq_nom_dest'       => "<b>" . $row['maq_nom_dest'] . "</b> ",
               'emp_remitente'         => "<b>" . $row['emp_remitente'] . "</b> ",
               'maq_nom_nuip'       => "<b>" . $row['maq_nom_nuip'] . "</b> ",
               'cant_folios'        => "" . $row['cant_folios'] . " ",
               'nom_tipo_correo'    => "" . $row['nom_tipo_correo'] . " ",
               'reloj'              => "<b>" . $row['cons_reloj'] . "</b> ",
               'cod_radicado'       => "" . $row['cod_radicado'] . " ",
               'ok'              => "" //<b>[__]</b>
             ));

         $pdf->ezTable($data,$columnas,$tit_tabla,$formato1);
      }

   if($ver == 2) {
      $dataf2 = array(array(
         'dir'      => "<b>" . $row['nom_dir_dest'] . "\n</b> ",
         'ciudad'   => "<b>" . $row['nom_ciudad_dest'] . "</b> "
         , 'firma'  => ""
       ));
      $pdf->ezTable($dataf2,$columnas,$tit_tabla,$formato2f2);

      $image = tempnam ("/tmp", "php-pdf");
//    $pdf->ezText("");
//    $pdf->ezText("");
      $pdf->ezImage(imgBarras($row['cons_centro_correo'], $image, 25), 15,0,'none','left');
      unlink($image);

      $dataf3 = array(array(
         'blank'   => ""
       ));
      $pdf->ezTable($dataf3,$columnas,$tit_tabla,$formato2f3);
//      $pdf->ezTable($dataf3,$columnas,$tit_tabla,$formato2f3);

   }

 } // Fin while de grupo

  $formato2 = array('showHeadings'  => 0,
               'shaded'    => 0,
               'showLines'    => 0,
               'colGap'    => 1,
               'rowGap'    => 2,
               'fontSize'     => 6,
               'xPos'         => 300,
               'cols'=> array(
                  'maq_nom_dest' => array('justification'=>'left', 'width'=>'430', 'fontSize'=>5),
                  'cant_folios'  => array('justification'=>'right', 'width'=>'70', 'fontSize'=>5),
                  'maq_nom_nuip' => array('justification'=>'left', 'width'=>'60', 'fontSize'=>5),
               )
            );
// $data = array(array( 'maq_nom_dest'=>"Observaciones: <b>$txtObs</b>"                          ));
//    $pdf->ezTable($data,$columnas,$tit_tabla,$formato2);

  $formato3 = array('showHeadings'  => 0,
               'shaded'    => 0,
               'showLines' => 1,
               'colGap'    => 5,
               'rowGap'    => 5,
               'fontSize'  => 6,
               'xPos'      => 300,
               'cols'=>array(
                              'nom_courrier_s'  =>array('justification'=>'left','width'=>'100','fontSize'=>7),
                              'cons_guia_s'     =>array('justification'=>'left','width'=>'100','fontSize'=>7),
                              'precinto_courrier_s'   =>array('justification'=>'left','width'=>'100','fontSize'=>7),
                   )
            );
/**/

   $data = array(array('nom_courrier_s' =>"Courrier: <b>$_nom_courrier_s</b>",
                  'cons_guia_s'  =>"Guia: <b>$_cons_guia_s</b>",
                  'precinto_courrier_s' =>"Precinto: <b>$_precinto_courrier_s</b>"
                  ),
         );
   $pdf->ezTable($data,$columnas,$tit_tabla,$formato3);

/**/

for($k=0; $k<5; $k++) {
   $data = array(array( 'maq_nom_dest' =>"   ",
                     'cant_folios'  =>"   ",
                     'maq_nom_nuip' =>"   "
          ));
   $pdf->ezTable($data,$columnas,$tit_tabla,$formato2);
}
/* $data = array(array( 'maq_nom_dest' =>"   ",
                        'cant_folios'  =>"   ",
                        'maq_nom_nuip' =>"   "
                               ));
   $pdf->ezTable($data,$columnas,$tit_tabla,$formato2);*/

   $data = array(array('maq_nom_dest' => "Firma:_____________________________________________________",
                  'cant_folios'  => "Fecha:___________",
                  'maq_nom_nuip' => "Hora:_________"),
            );
   $pdf->ezTable($data,$columnas,$tit_tabla,$formato2);

// $pdf->ezStream();
////////////////////////////////////////////////////////////////////////
$pdfcode = $pdf->output();
$dir = './pdf_files';
// Crea El directorio si no Existe
if (!file_exists($dir)) {
   mkdir ($dir,0777);
}
// Limpia el directorio
if ($d = @opendir($dir)) {
   while (($file = readdir($d)) !== false) {
      if (substr($file,0,4)=="PRN_") {
         $ftime = filemtime($dir.'/'.$file);
         $resta = time() - $ftime;
         if ($resta >= 3600*12) {
            unlink($dir.'/'.$file);
         }
      }
   }
closedir($d);
}
// Crea el Archivo
$fname = tempnam($dir.'/','PRN_').'.pdf';
$fp = fopen($fname,'w');
fwrite($fp,$pdfcode);
fclose($fp);
// Carga el archivo desde una pagina

echo '<html><head><SCRIPT LANGUAGE="JavaScript"><!--
function go_now () { window.location.href = "'.$fname.'"; }
//--></SCRIPT>
</head>
<body onLoad="go_now();" style="text-align:center">
Espere un momento por favor...<br/>Si no puede ver su reporte haga <a href="'.$fname.'">click aqu</a> para abrir el Reporte Generado.
</body></html>';


?>
