<?php
session_name($_GET["sidname"]);
session_start();

include_once($_SERVER['DOCUMENT_ROOT'].$_SESSION["cnf"]["install_path"]."/config/config.inc.php"); // ** NUEVO
include_once("main_fx.php"); // ** NUEVO

	include_once("jsrsServer.php");
 	jsrsDispatch( "graba_datos, datos_usuario, disponibilidad_carpeta");

////////////////////////////////////////////////////////////////////////////////
/**
 *  1. - Graba datos en una tabla y retorna el valor de un campo especificado
 * @author EG - (egonpin@gmail.com) - 01/07/2008
*/
function graba_datos($operacion, $tablas, $pks, $values)
{
  global $cnf;

  $conn  = conectar_db("",true);
  $DATOS = dNdataGuardar( $operacion, $tablas, $pks, $values );
  $aborto_proc = false;
  $error = "";
/*
OPERACIONES VALIDAS
$operacion = 0 --> INSERT
$operacion = 1 --> UPDATE
$operacion = 2 --> DELETE

El parametro $pk cambia segun la operacion
para INSERT es simplemente el nombre de la PK
*/

  $planCorreo = dNfiltrodatos($DATOS, 0);

	$data[0] = trim(dNretVal($planCorreo, 'id_grupo'));
	$data[1] = trim(dNretVal($planCorreo, 'id_nuip_sol'));
	$data[2] = trim(dNretVal($planCorreo, 'id_nuip'));
	$data[3] = trim(dNretVal($planCorreo, 'nota'));
	$data[4] = trim(dNretVal($planCorreo, 'login'));

for($n=0; $n<(15); $n++)
{
   if($data[$n] == false)
   {
      $data[$n] = "NULL";
	}
	else
	{
      $data[$n] = "'{$data[$n]}'";
	}

   if($data[$n] == "'NULL'")
   {
      $data[$n] = "NULL";
	}
}

$sql = "SELECT est_carpeta FROM carpetas.carpetas WHERE WHERE id_nuip = {$data[1]}; ";
$resultado = query_db($sql, true);
 	$fCC = fetch_array_db($resultado);
	if($fCC[0] > 1)
	{
		$aborto_proc = true;
		$error = "La carpeta está Prestada.";
	}


	if($aborto_proc == false)
	{
		$sql = "BEGIN; ";
		$sql .= "INSERT INTO carpetas.solicitudes_carpetas (id_grupo, id_nuip_sol, id_nuip, nota, login) VALUES ( {$data[0]}, {$data[1]}, {$data[2]}, {$data[3]}, {$data[4]} ); ";
		$resultado = query_db($sql, true);
			if (query_estado("err_msg",true) != "")
			{
			   $error = "No se pudo Guardar los Datos en Solicitudes ";
			   $aborto_proc = true;
			}
	}

//$resultado = "CANCELADO";
	if($aborto_proc == true)
	{
	 $error = $resultado;
	 $resultado = query_db("ROLLBACK;", true);
	 $v_consecutivo_pc = "NUEVO";
	}
	else
	{
  	 $resultado = query_db("COMMIT;", true);
	}

 return("error=\"{$error}\"; _sql=\"{$sql}\"; _errId=\"{$fCC[0]}\"; ");
}

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/**
	2. Retorno los datos del Usuario
	EG - egonpin@gmail.com - 24-10-2008-21-2
**/
function datos_usuario($usu)
{
  global $cnf;
  $conn  = conectar_db("",true);

  $sql = "SELECT DISTINCT id_nuip_usuario, maq_nom_nuip, email_1 FROM xcomun.usuarios_v1 WHERE UPPER(login) = UPPER('{$usu}'); ";

  $resultado = query_db($sql, true);
  $aD = fetch_array_db($resultado);
	if(is_string($resultado))
	{
		$error = "error";
	}
	else
	{
		$error= "";
	}

 return("err=\"{$error}\"; sql=\"{$sql}\"; nom=\"{$aD['maq_nom_nuip']}\"; idnuip=\"{$aD['id_nuip_usuario']}\"; email=\"{$aD['email_1']}\"; ");
}

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/**
	3. Retorno el Estado de una carpeta solicitada
	EG - egonpin@gmail.com - 24-10-2008-21-2
**/
function disponibilidad_carpeta($idnuip)
{
  global $cnf;
  $conn  = conectar_db("",true);

  $sql = "SELECT est_carpeta, id_nuip FROM carpetas.carpetas WHERE id_nuip = '{$idnuip}'; ";

  $resultado = query_db($sql, true);
  $aD = fetch_array_db($resultado);
	if(is_string($resultado))
	{
		$error = "Error: {$resultado}";
	}
	else
	{
		$error= "";
		if($aD['id_nuip'] != $idnuip )
		{
			$error = "El Usuario {$idnuip}, No tiene una Carpeta en el Sistema";
		}
		else
		{
		  if($aD['est_carpeta'] != 1) // Estado Archivada
		  {
			  $sql = "SELECT nom_est_carpeta, desc_est_carpeta FROM carpetas.est_carpetas WHERE id_est_carpeta = '{$aD['est_carpeta']}'; ";
			  $resultado = query_db($sql, true);
		  		$aE = fetch_array_db($resultado);
				if(is_string($resultado))
				{
					$error = "Error: {$resultado}";
				}
				else
				{
					$error = "{$aE['desc_est_carpeta']}";
				}

			  if($aD['est_carpeta'] >= 2) // Estado En tramite o Superior
			  {
					$sql2 = "SELECT maq_nom_nuip, maq_fec_solicitud, nom_grupo, nom_est_solicitud FROM carpetas.solicitudes_carpetas_v1 WHERE id_nuip_sol = '{$idnuip}' AND id_est_solicitud >= '1' ORDER BY fec_solicitud DESC; ";
					$resultado2 = query_db($sql2, true);
			  		$aE2 = fetch_array_db($resultado2);
			  		$error = str_ireplace("%1%", "-".$aE2['maq_nom_nuip']."-", $error);
			  		$error = str_ireplace("%2%", $aE2['maq_fec_solicitud'], $error);
			  		$error = str_ireplace("%3%", $aE2['nom_grupo'], $error);
			  		$error = str_ireplace("%4%", $aE2['nom_est_solicitud'], $error);
			  }

			}
			else
			{
				$error = "Carpeta Disponible para Prestamo ";
			}
		}
	}

 return("err=\"{$error}\"; sql=\"{$sql2}\"; eC=\"{$aE['nom_est_carpeta']}\"; eC=\"{$aE['desc_est_carpeta']}\"; _errId=\"{$aD['est_carpeta']}\";  ");
}

?>