<?php
session_name($_POST["sidname"]);
session_start();

include_once($_SERVER['DOCUMENT_ROOT'].$_SESSION["cnf"]["install_path"]."/config/config.inc.php"); // ** NUEVO
include_once("main_fx.php");

if(isset($_POST["funcion"]) )
{
	switch($_POST["funcion"])
	{
		 case 'enviaCajas':
		 {
			envia_cajas( $_POST["cajas"], $_POST["grupo"] );
		 }
		 break;
	}
}

////////////////////////////////////////////////////////////////////////
function envia_cajas($cajas, $grupo)
{
	if(trim($cajas) == '' ) { $cajas = "NULL"; } else { $cajas = (json_decode($cajas)); }
	if(trim($grupo) == '' ) { $grupo = "NULL"; } else { $grupo = "'{$grupo}'"; }

	$cajas = implode(", ", $cajas);

	global $cnf;
	$error = "";
	$aborto_proc = false;
	$sdata = Array();
	$sql = "";

// Fecha: Domingo, 30 de enero de 2011, Jainer A. Marin
// Debido a que no incrementa el consecutivo se pasa como constante para ABONADOS BOGOTA la variable $grupo = '47' obligando a que se incremente
       $grupo = '47';

	$login = "'{$_SESSION['login']}'";
	$conn  = conectar_db("",true);

	if($grupo == "NULL")
	{
		$aborto_proc = true;
		$error = "Falta Grupo de Datos.";
	}
	if($cajas == "NULL")
	{
		$aborto_proc = true;
		$error = "Falta Seleccionar Cajas para el Envio.";
	}

	if($aborto_proc == false)
	{
		$sql = "BEGIN; SELECT number, string FROM xcomun.documentos_nv('ods', 'legalizaciones', 'nro_envio', {$grupo}); ";
		$resultado = query_db($sql, true);
		if (query_estado("err_msg", true) != "")
		{
		  $error = "No se pudo Generar Consecutivo de Documentos. ";
		  $aborto_proc = true;
		}
		$resultado = fetch_array_db($resultado);
		$nro_envio = $resultado['number'];
		
	}

	if($aborto_proc == false)
	{
		$sql = "UPDATE ods.legalizaciones SET "
				. " id_estado_envio = 2"
				. ", nro_envio = {$nro_envio}"
				. ", fec_envio = now()"
				. ", login_envio = {$login}"
				. ", is_devuelto = FALSE"
				. ", login_ce = {$login}"
				. ", fec_ce = now()"
				. " WHERE cod_caja IN ({$cajas})"
				. " RETURNING nro_envio, fec_envio; ";

		$resultado = query_db($sql, true);
		if (query_estado("err_msg", true) != "")
		{
		  $error = "No se pudo Enviar la Caja {$cod_caja}. ";
		  $aborto_proc = true;
		}
	}

	// Finalizacion del Proceso
	if($aborto_proc == true)
	{
		query_db("ROLLBACK;", true);
		$sdata['error'] = $error;
		$sdata['sql'] = $sql;
	}
	else
	{
		$resultado = fetch_array_db($resultado);
		$sdata['nro_envio'] = $resultado['nro_envio'];
		$sdata['fec_envio'] = $resultado['fec_envio'];
		query_db("COMMIT;", true);
	}

	$sdata['success'] = !$aborto_proc;

	$sdata = json_encode(to_utf8($sdata));

 header("Content-Type: application/json; charset=utf-8");
 header("Content-Size: " . strlen($sdata));
 header('X-JSON: ('.$sdata.')');
}

?>
