<?php
   error_reporting(E_ALL);

   $cnf["axys_debug"] = false;

   //=================================
   // Datos Corporativos del Cliente
   //=================================
   $cnf["nom_cliente"]        = "TIAL Ltda.";
   $cnf["website_cliente"]    = "http://www.tial.com.co";
   $cnf["logo_cliente"]       = "logo_tial_48.gif";
   $cnf["logo_cliente_fondo"] = "fondo_tial.gif"; // "bg.gif";

   //===========================
   // Configuracion del Sistema
   //===========================
   $cnf["nom_proyecto"] = "Control de Documentacion";
   $cnf["html_charset"] = "UTF-8"; //"ISO-8859-1";
   $cnf["activessl"]    = 'no';                   // Activar para mayor seguridad si su Servidor WEB soporta SSL - no/yes
   $cnf["axys_path"]    = '/axys/v6.141023.1'; //v6.130517.1';   // Ruta relativa
   $cnf["install_path"] = '/xapps/tial';                   // NO incluye ( / ) al final 
   $cnf["version_txt"]  = 'App. v5.130516.0 - AXYS v6.141023.1';

   //============================
   // Compresion de Scripts
   //============================
   $cnf["xz_activo"]  = false; // activar para reconocer los archivos js comprimidos
   $cnf["gz_activo"]  = false; // activar para reconocer los archivos js.gz

if (strpos($_SERVER["SERVER_NAME"] , "movistar") !== false) {
   $cnf["nom_session"]        = "tial_dbx_xapps_mov";
   $cnf["dbname"] = 'tialmovistar_final';  // Nombre de la base de datos a conectar
}
else {
   $cnf["nom_session"]        = "tial_dbx_xapps";
   $cnf["dbname"] = 'tial2014';  // Nombre de la base de datos a conectar
}

   $cnf["fav_icon"]     = $cnf["install_path"]."/img/fav_icon.ico";

   //============================
   // Parametros del Servidor donde este alojada la Bases de Datos
   //============================
   $cnf["db"]     = 'postgres';    // [postgreSQL / mySQL] / FireBird - NUEVO ADOdb = mysql
   //$cnf["dbname"] = 'tial2014';  // Nombre de la base de datos a conectar
   $cnf["dbhost"] = '127.0.0.1'; //'10.90.62.100'; //'10.10.10.100';
   $cnf["dbport"] = 5432; //'5999';   // postgreSQL:5432 / mySQL:3306 // Puerto para acceder a su base de datos
   $cnf["dbssl"]  = 'no';            // Indica si la conexion se realizar?or SSL o NO
   //======================================================================
   // Manejo de las variables $cnf["dbuser"] y $cnf["dbpass"] para una mayor seguridad
   //======================================================================
   // Si los permisos en el Servidor de DB permiten crear usuarios, entonces puede activarse $cnf["usuarios_db"]
   // y las variables $cnf["dbuser"] y $cnf["dbpass"] pueden llenarse con un usuario autorizado para realizar consultas unicamente por seguridad
   // de lo contrario estas variables deben llenarse con los datos de un usuario Administrador o superusuario.
   $cnf["usuarios_db"] = false;     // Activar si valida el acceso con usuario de Base de Datos
   $cnf["dbuser"] = "dbxdba";        // Nombre de Usuario de DB
   $cnf["dbpass"] = "522c0ca7869499601b488cc96562df01";        //
   $cnf["dbpass"] = "dbxk3y";
/*Contrasea del usuario de DB*/

   //=====================
   // Estilo y Maquillaje del Sistema
   //=====================
   $cnf["mostrar_creditos"] = false;
   $cnf["pagina_inicial"] = "/modules/mod_login.php";
   $cnf["tema_menu"] = "Office2003";
   //$cnf["tema_menu"] = "IE";
   $cnf["menu_default"] = "mm_website.js";
   $cnf["estilo"] = "04";  //Numero del Archivo CSS
   $cnf["idioma"] = "es";  //[es]pañol [en]glish
   // Variables de Paginacion para listado de consultas
   $cnf["num_registros_x_pagina"] = 20;
   $cnf["num_paginas_x_linea"]    = 20;
   // Variables Internas
   $cnf["fmt_date"] = "yyyy-mm-dd"; // Formato respecto a la Base de datos que se utilize. Ejemplo --> yyyy-mm-dd
   $cnf["fmt_date_php"] = "Y-m-d"; // Formato respecto a PHP que se utilize. Ejemplo --> Y-m-d
   $cnf["fmt_time"] = "hh:mi:ss";   // Formato respecto a la Base de datos que se utilize
   // Timers
   $cnf["msg_estado_form_timer"] = 8;

   //=================================================
   // *** NO TOCAR LAS SIGUIENTES LINEAS ***
   // Llamado a la configuracin General del Sistema
   //=================================================

   include_once($_SERVER["DOCUMENT_ROOT"].$cnf["axys_path"]."/config/config.inc.php");

   $cnf["csv_col"] = "|";
   //=================================================
   // Listado de Variables CNF - Internas del Sistema
   //=================================================
   // $cnf["nivel_usuario"]
   // $cnf["grupos_usuario"]

// cnf_info(false);

?>
