<?php
 error_reporting(E_ALL);
 require_once("../includes/pdf_header.php");

 if (isset($_GET["formato"])) $formato = trim($_GET["formato"]);
 else $formato= "1";

 if (isset($_GET["imgs"])) $imgs = trim($_GET["imgs"]);
 else $imgs= "-1";

 if (isset($_GET["ni"])) $ni = trim($_GET["ni"]);
 else $ni= "-1";

 if (isset($_GET["ext"])) $ext = trim($_GET["ext"]);
 else $ext= "jpg";

 if (isset($_GET["ws"])) $ws = trim($_GET["ws"]);
 else $ws= "0";

//  echo "$formato - $imgs - $ni <br />";

	if($ext == "tif") {
		TIFtoPDF($formato, $imgs, $ni, $ext, $ws);
	} else {
		JPGtoPDF($formato, $imgs, $ni, $ext, $ws);
	}

////////////////////////////////////////////////////////////////////////
	ctrlCLICK();

function JPGtoPDF($formato, $imgs, $ni, $ext, $ws) {
	global $cnf;
	 $coneccion = conectar_db("",false);

 	//////////////////////////
	//======================//
	//   Creacion de PDF    //
	//======================//
	//////////////////////////
   $pdf = new Cezpdf('LETTER','portrait');
   $pdf = new Cezpdf('LETTER','portrait');
	$pdf -> addInfo('Title', "$ni Imagenes");
	$pdf -> addInfo('Creator', "Sistema de Imagenes - TIAL Ltda.");
	$pdf -> addInfo('Keywords', "tial, digital, imagenes, $ni");
	$pdf -> addInfo('Author', "http://www.digital01.com");
	$pdf -> addInfo('Subject', "$ni Imagenes");


	 $ssql = "select count(id_perfil) AS conteo from xcomun.usuarios_perfiles "
				. " where id_perfil = 7  AND login ='" . $cnf['login'] . "' ; ";
	 $result = query_db($ssql, true);
	 while ($row = pg_fetch_assoc($result))
	 {
	  if($row["conteo"] > 0 ) {
			$pdf->setPreferences('HideToolbar', 'true');
			$pdf->setPreferences('HideMenuBar', 'true');
	  }
	 }

		$pdf -> ezSetCmMargins(0, 0, 0, 0);
		$all = $pdf->openObject();
	   $pdf->y = $pdf->ez['pageHeight'];

	  for($n=1; $n<=$ni; $n++)
		{
		 $txtN = "";
		  if( $n < 10 ) { $txtN = "00"; }
		  if( ($n < 100) AND ($n > 9 ) ) { $txtN = "0"; }
		  //$image = $cnf["website_cliente"]."".$cnf["install_path"]."/docs/$imgs-$txtN$n.jpg";
		  //$image = $cnf["website_cliente"]."$imgs-$txtN$n.jpg";
		  $image = "/SAN/$imgs-$txtN$n.$ext";
		  //jsalert($image);
		  //exit;
		  $pdf -> ezSetCmMargins(0, 0, 0, 0);

			if(is_file($image))
				$pdf->ezImage($image, 0);
		 if($n < $ni) $pdf->ezNewPage();
	   }

		$pdf->closeObject();

	// Agregando encabezado
		$pdf->addObject($all,'all');

	////////////////////////////////////////////////////////////////////////////////
	$pdfcode = $pdf->output();
	$dir = './pdf_files';

	// Crea El directorio si no Existe
	if (!file_exists($dir))
	{
		mkdir ($dir,0777);
	}
	// Limpia el directorio
	if ($d = @opendir($dir))
	{
		while (($file = readdir($d)) !== false)
		{
			if (substr($file,0,4)=="PDF_")
			{
				$ftime = filemtime($dir.'/'.$file);
				if (time()-$ftime >= 3600*8)
				{
					unlink($dir.'/'.$file);
				}
			}
		}
	closedir($d);
	}
	// Crea el Archivo
	$fname = tempnam($dir.'/',"PDF_").'.pdf';
	$fp = fopen($fname,'w');
	fwrite($fp,$pdfcode);
	fclose($fp);

	// added by xButil 2010-08-02
	// Inicio - Imprimir archivos PDF en Windows por cambio de Path
	$fnameAux = str_replace("\\","/",$fname);
	$fnameAux = $cnf["install_path"]."/docs/".substr($fnameAux,strpos($fnameAux,"pdf_files"));
	// Fin

	if($ws == 0) {
	// Carga el archivo desde una pagina
	echo '<html><head><SCRIPT LANGUAGE="JavaScript"><!--
	function go_now () { window.location.href = "'.$fnameAux.'"; }
	//--></SCRIPT>
	</head>
	<body onLoad="go_now()"; >
	<a href="'.$fnameAux.'">Click aca</a> Para abrir el Reporte Generado.
	</body></html>';
	}
	else {
	echo "{$fnameAux}";
	}
}

function TIFtoPDF($formato, $imgs, $ni, $ext, $ws) {
	global $cnf;
    $cmd_ps2pdf = "/usr/bin/ps2pdfwr";
	 $coneccion = conectar_db("",false);
       $document = new Imagick();
	$dir = './pdf_files';
		$fnameps = tempnam($dir.'/',"PS_") .'.ps';
		$fname = tempnam($dir.'/',"PDF_") .'.pdf';


	 $ssql = "select count(id_perfil) AS conteo from xcomun.usuarios_perfiles "
				. " where id_perfil = 7  AND login ='" . $cnf['login'] . "' ; ";
	 $result = query_db($ssql, true);
	 while ($row = pg_fetch_assoc($result))
	 {
	 }

	if($ni > 0) {
	  for($n=1; $n<=$ni; $n++)
		{
		 $txtN = "";
		  if( $n < 10 ) { $txtN = "00"; }
		  if( ($n < 100) AND ($n > 9 ) ) { $txtN = "0"; }
			$image = "$imgs-$txtN$n.$ext";
			if(is_file($image))
				$rf = $document->readImage($image);
			if($rf == true) {
				$document->writeImages("{$fnameps}", true);
			}
			else {
				echo "No se pudo leer el archivo TIF";
				return (false);
			}
	   }

	   if(is_file($fnameps)) {
			exec($cmd_ps2pdf." -sPAPERSIZE=a4 ". $fnameps . " ".$fname, $o, $r);
		}
		else {
			echo "No existe el Archivo PS";
			return (false);
		}

	}
	else {
		if(is_file($imgs)) {
			$rf = $document->readImage($imgs);
		}

		if($rf ==true) {
			if ($document->writeImages("{$fnameps}", true)) {
				$document->clear();
				exec($cmd_ps2pdf." -sPAPERSIZE=a4 ". $fnameps . " ".$fname, $o, $r);
				if ($r) {
					echo "Unable to use ghostscript to convert .ps(".$fnameps.") -> .pdf(".$fname."). Check rights. ";
					return(false);
				}
			}
			else {
				echo "Error Imagen NO encontrada";
				return(false);
			}
		}
		else {
			echo "No se pudo leer el archivo TIF";
			return (false);
		}

	}

	////////////////////////////////////////////////////////////////////

	// Crea El directorio si no Existe
	if (!file_exists($dir))
	{
		mkdir ($dir,0777);
	}
	// Limpia el directorio
	if ($d = @opendir($dir))
	{
		while (($file = readdir($d)) !== false)
		{
			if ((substr($file,0,4)=="PDF_") OR (substr($file,0,3)=="PS_"))
			{
				$ftime = filemtime($dir.'/'.$file);
				if (time()-$ftime >= 3600*8)
				{
					unlink($dir.'/'.$file);
				}
			}
		}
	closedir($d);
	}

	// Inicio - Imprimir archivos PDF en Windows por cambio de Path
	$fnameAux = str_replace("\\","/",$fname);
	$fnameAux = $cnf["install_path"]."/docs/".substr($fnameAux,strpos($fnameAux,"pdf_files"));
	// Fin

	if($ws == 0) {
	// Carga el archivo desde una pagina
	echo '<html><head><SCRIPT LANGUAGE="JavaScript"><!--
	function go_now () { window.location.href = "'.$fnameAux.'"; }
	//--></SCRIPT>
	</head>
	<body onLoad="go_now()"; >
	<a href="'.$fnameAux.'">Click aca</a> Para abrir el Reporte Generado.
	</body></html>';
	}
	else {
	echo "{$fnameAux}";
	}
}

function ctrlCLICK() {
	 global $cnf;
	 $coneccion = conectar_db("",false);

	 $ssql = "select count(*) as conteo FROM documentos.consulta_imag where login='" . $cnf['login'] . "' AND fecha = now()::date ";
	 $result = query_db($ssql, true);
	 while ($row = pg_fetch_assoc($result))
	 {
	  if($row["conteo"] <= 0 )
	  {
		 $ssql = "INSERT INTO documentos.consulta_imag (login, nro_clicks_pdf) VALUES ('".$cnf['login']."', 1) ";
	  }
	  else
	  {
		 $ssql = "UPDATE documentos.consulta_imag SET nro_clicks_pdf = (nro_clicks_pdf + 1) WHERE login='".$cnf['login']."' AND fecha = now()::date ";
	  }
	 }
	 $result = query_db($ssql, true);
}
?>
