<?php
session_name($_GET["sidname"]);
session_start();

include_once($_SERVER['DOCUMENT_ROOT'].$_SESSION["cnf"]["install_path"]."/config/config.inc.php"); // ** NUEVO
include_once("main_fx.php"); // ** NUEVO

	include_once("jsrsServer.php");
 	jsrsDispatch( "graba_datos, cambia_estado");
////////////////////////////////////////////////////////////////////////////////
/**
 *  1. - Graba datos en una tabla y retorna el valor de un campo especificado
 * @author EG - (egonpin@gmail.com) - 26/10/2007
*/
function graba_datos($operacion, $tablas, $pks, $values)
{
  global $cnf;
  $conn  = conectar_db("",true);
  $DATOS = dNdataGuardar( $operacion, $tablas, $pks, $values );
  $aborto_proc = false;
  $error = "";
/*
OPERACIONES VALIDAS
$operacion = 0 --> INSERT
$operacion = 1 --> UPDATE
$operacion = 2 --> DELETE

El parametro $pk cambia segun la operacion
para INSERT es simplemente el nombre de la PK
*/

  $tCorreo = dNfiltrodatos($DATOS, 0);
  $planCorreo = dNfiltrodatos($DATOS, 1);

  $sql = "BEGIN; ";
  $id_pc =   dNretVal($planCorreo, 'id_plan_correo');
  $cons_cc = dNretVal($tCorreo, 'cons_centro_correo');
  $fuelle =  dNretVal($tCorreo, 'id_fuelle');
  
  if( ($cons_cc == 'NUEVO') OR (trim($cons_cc) == '') )
  {
  	$sql .= " SELECT id_centro_correo, nom_centro_correo FROM fuelles_v1 WHERE id_fuelle='$fuelle' LIMIT 1; ";
  	$resultado = query_db($sql, true);
	if (query_estado("err_msg",true) != "")
	{
	   $error = "No se pudo Leer el Centro de Correspondencia [$v_nom_cc] desde Fuelles";
	   $aborto_proc = true;
     	$v_id_cc = "";
	  	$v_nom_cc = "";
	}
	else
	{
	  	$fCC = fetch_array_db($resultado);
	  	$v_nom_cc = $fCC[1];
	  	$v_id_cc = $fCC[0];
	}

	if($aborto_proc == false)
	{
	  	$sql = " SELECT cons_centro_correo FROM centros_correspondencia WHERE id_centro_correo='$v_id_cc' FOR UPDATE; ";
	  	$resultado = query_db($sql, true);
		if (query_estado("err_msg",true) != "")
		{
		   $error = "No se pudo Leer el Consecutivo del Centro de Correspondencia [$v_nom_cc]";
		   $aborto_proc = true;
		}
		else
		{
		  	$fCC = fetch_array_db($resultado);
		  	$v_consecutivo_cc = $fCC[0];
		}
	}
	
	if($aborto_proc == false)
	{
	   $v_consecutivo_cc = $v_consecutivo_cc + 1;
	  	$sql = " UPDATE centros_correspondencia SET cons_centro_correo = '$v_consecutivo_cc' WHERE id_centro_correo='$v_id_cc'; ";
	  	$resultado = query_db($sql, true);
		if (query_estado("err_msg",true) != "")
		{
		   $error = "No se pudo Actualizar el Consecutivo del Centro de Correspondencia [$v_nom_cc]";
		   $aborto_proc = true;
		}
	}
  }
  else
  {
    $v_consecutivo_cc = $cons_cc;
  }

 // $v_id_est_correo = 1; // Segun la tabla de estados_docs es el estado de ingreso

  $tCorreo = dNInsertCol($tCorreo, 'cons_centro_correo', $v_consecutivo_cc);
//  $tCorreo = dNInsertCol($tCorreo, 'id_est_correo', $v_id_est_correo);
  
	if($aborto_proc == false)
	{
		$sql2 = dNgenSQL($tCorreo, 'text');
	  	$resultado = query_db($sql2, true);
		if (query_estado("err_msg",true) != "")
		{
		   $error = "No se pudo Guardar los Datos en Correspondencia ";
		   $aborto_proc = true;
		  	$id_c = "NULL";
		}
		else
		{
		   if(is_string(stristr($sql2, 'INSERT')))
		   {
			  	$fCC = fetch_array_db($resultado);
			  	$nFilas = num_rows_db($resultado);
			  	if($nFilas == 1)
			  	{
			  		$id_c = $fCC['id_correo'];
				}
				else
				  	$id_c = "NULL";
			}

		   if(is_string(stristr($sql2, 'UPDATE')))
		   {
				$id_c = dNretVal($tCorreo, 'id_correo');
			}

		}
	}

	if($aborto_proc == false)
	{
	  if( dNcount($planCorreo) > 0 )
	  {
		  $planCorreo = dNInsertCol($planCorreo, 'id_correo', $id_c);
		  $planCorreo = dNInsertCol($planCorreo, 'id_fuelle_r', $fuelle);
//		  $planCorreo = dNInsertCol($planCorreo, 'id_est_correo', $v_id_est_correo);

		  $sql2 = dNgenSQL($planCorreo, 'text');
			$resultado = query_db($sql2, true);
			if (query_estado("err_msg",true) != "")
			{
			   $aborto_proc = true;
			   $id_pc = "NULL";
			}
			else
			{
			   if(is_string(stristr($sql2, 'INSERT')))
			   {
				  	$fCC = fetch_array_db($resultado);
				  	$nFilas = num_rows_db($resultado);
				  	if($nFilas == 1)
				  	{
					   $id_pc = $fCC['id_plan_correo'];
					}
					else
					{
					   $id_pc = "NULL";
					}
				}
			   if(is_string(stristr($sql2, 'UPDATE')))
			   {
					$id_pc = dNretVal($planCorreo, 'id_plan_correo');
				}

			}
	  }
	}

if(is_string($resultado))
{
 $error = $resultado;
 $resultado = query_db("ROLLBACK;", true);
 $v_consecutivo_cc = "NUEVO";
}
else
{
  $resultado = query_db("COMMIT;", true);
// $resultado = query_db("ROLLBACK;", true);
}

	$cad = "";
	return("error=\"$error\"; _str=\"$cad\"; _sql=\"$sql2\"; _consCC=\"$v_consecutivo_cc\"; _idC=\"$id_c\"; _idPC=\"$id_pc\"; ");
}

////////////////////////////////////////////////////////////////////////////////
/**
 *  2. - Cambia el estado de un documento
 * @author EG - (egonpin@gmail.com) - 30/10/2007
*/
function cambia_estado($operacion, $idC, $idPC)
{
  global $cnf;
	$id_est_correo = 1; // segun la tabla de Estados Documentos
   $aborto_proc = false;
   $error = "";

  $conn  = conectar_db("",true);

	if($operacion == "IMPRESO")
	{
	  $sql = "BEGIN; ";
	  	$sql .= " UPDATE correos SET id_est_correo = '$id_est_correo' WHERE id_correo = '$idC'; ";
	  	$sql .= " UPDATE plan_correos SET id_est_correo = '$id_est_correo' WHERE id_plan_correo = '$idPC'; ";
	  	$resultado = query_db($sql, true);
		if (query_estado("err_msg",true) != "")
		{
		   $error = "No se pudo Actualizar el Estado del Correo";
		   $aborto_proc = true;
		}

		if(is_string($resultado))
		{
		 $error = $resultado;
		 $resultado = query_db("ROLLBACK;", true);
		}
		else
		{
		  $resultado = query_db("COMMIT;", true);
		}
	}

 return("error=\"$error\"; ");
}

?>
