<?php
session_name($_POST["sidname"]);
session_start();

include_once($_SERVER['DOCUMENT_ROOT'].$_SESSION["cnf"]["install_path"]."/config/config.inc.php"); // ** NUEVO
include_once("main_fx.php");

if(isset($_POST["funcion"]) )
{
	switch($_POST["funcion"])
	{
		 case 'actualizaEstadoCaja':
		 {
			actualiza_estado_caja($_POST["CC"], $_POST["EST"]);
		 }
		 break;
		 case 'consultaEstadoCaja':
		 {
			consulta_estado_caja($_POST["CC"]);
		 }
		 break;
	}
}

////////////////////////////////////////////////////////////////////////
function consulta_estado_caja($cod_caja)
{
	if(trim($cod_caja) == '' ) { $cod_caja = "NULL"; } else { $cod_caja = "'{$cod_caja}'"; }

	global $cnf;
	$error = "";
	$aborto_proc = false;
	$sdata = Array();
	$sql = "";
	$login = "'{$_SESSION['login']}'";
	$conn  = conectar_db("",true);

	if($cod_caja == "NULL")
	{
		$aborto_proc = true;
		$error = "Caja sin Identificacion.";
	}

	if($aborto_proc == false)
	{
		$sql = "SELECT id_estado_envio FROM envios.legalizaciones
				  WHERE cod_caja = {$cod_caja}; ";

		$resultado = query_db($sql, true);
		if (query_estado("err_msg", true) != "")
		{
		  $error = "No se pudo Consultar la Caja {$cod_caja}. ";
		  $aborto_proc = true;
		}

		if($aborto_proc == false)
		{
			$resultado = fetch_array_db($resultado);
			$sdata['data'] = ($resultado);
		}
	}

	$sdata['success'] = !$aborto_proc;

	$sdata = json_encode(to_utf8($sdata));

	header("Content-Type: application/json; charset=utf-8");
	header("Content-Size: " . strlen($sdata));
	header('X-JSON: ('.$sdata.')');
}

////////////////////////////////////////////////////////////////////////
function actualiza_estado_caja($cod_caja, $estado)
{
	if(trim($cod_caja) == '' ) { $cod_caja = "NULL"; } else { $cod_caja = "'{$cod_caja}'"; }
	if(trim($estado) == '' ) { $estado = "0"; } else { $estado = "'{$estado}'"; }

	global $cnf;
	$error = "";
	$aborto_proc = false;
	$sdata = Array();
	$sql = "";
	$login = "'{$_SESSION['login']}'";
	$conn  = conectar_db("",true);

	$sql = "BEGIN;
		      UPDATE envios.legalizaciones
		         SET id_estado_envio = {$estado}
			        , login_ce = {$login}
					  , fec_ce = now()
	            WHERE cod_caja = {$cod_caja}; ";
	$err_txt = "Actualizar";

	$resultado = query_db($sql, true);
	if (query_estado("err_msg", true) != "")
	{
		$error = "No se pudo {$err_txt} los Documentos filtrados en la Caja {$cod_caja}. ";
		$aborto_proc = true;
	}
//	$resultado = fetch_array_db($resultado);

	// Finalizacion del Proceso
	if($aborto_proc == true)
	{
		query_db("ROLLBACK;", true);
		$sdata['error'] = $error;
		$sdata['sql'] = $sql;
	}
	else
	{
//		$sdata['data'] = ($resultado);
		query_db("COMMIT;", true);
	}

	$sdata['success'] = !$aborto_proc;

	$sdata = json_encode(to_utf8($sdata));

	echo $sdata;

	header("Content-Type: application/json; charset=utf-8");
	header("Content-Size: " . strlen($sdata));
	header('X-JSON: ('.$sdata.')');
}
?>
