<?php
session_name($_POST["sidname"]);
session_start();

include_once($_SERVER['DOCUMENT_ROOT'].$_SESSION["cnf"]["install_path"]."/config/config.inc.php"); // ** NUEVO
include_once("main_fx.php");

if(isset($_POST["funcion"]) )
{
	switch($_POST["funcion"])
	{
		 case 'reenumeraCaja':
		 {
			reenumera_caja($_POST["CC"], $_POST["CCnew"]);
		 }
		 break;
		 case 'consultaCaja':
		 {
			consulta_caja($_POST["CC"]);
		 }
		 break;
	}
}

////////////////////////////////////////////////////////////////////////
function consulta_caja($cod_caja)
{
	if(trim($cod_caja) == '' ) { $cod_caja = "NULL"; } else { $cod_caja = "'{$cod_caja}'"; }

	global $cnf;
	$error = "";
	$aborto_proc = false;
	$sdata = Array();
	$sql = "";
	$login = "'{$_SESSION['login']}'";
	$conn  = conectar_db("",true);

	if($cod_caja == "NULL")
	{
		$aborto_proc = true;
		$error = "Caja sin Identificación.";
	}

	if($aborto_proc == false)
	{
		$sql = "SELECT cod_caja, id_estado_envio FROM envios.legalizaciones
				  WHERE cod_caja = {$cod_caja}; ";

		$resultado = query_db($sql, true);
		if (query_estado("err_msg", true) != "")
		{
		  $error = "No se pudo Consultar la Caja {$cod_caja}. ";
		  $aborto_proc = true;
		}

		if($aborto_proc == false)
		{
			$resultado = fetch_array_db($resultado);
			$sdata['data'] = ($resultado);
		}
	}

	$sdata['success'] = !$aborto_proc;

	$sdata = json_encode(to_utf8($sdata));

	header("Content-Type: application/json; charset=utf-8");
	header("Content-Size: " . strlen($sdata));
	header('X-JSON: ('.$sdata.')');
}

////////////////////////////////////////////////////////////////////////
function reenumera_caja($cod_caja, $cod_caja_new)
{
	if(trim($cod_caja) == '' ) { $cod_caja = "NULL"; } else { $cod_caja = "'{$cod_caja}'"; }
	if(trim($cod_caja_new) == '' ) { $cod_caja_new = "NULL"; } else { $cod_caja_new = "'{$cod_caja_new}'"; }

	global $cnf;
	$error = "";
	$aborto_proc = false;
	$sdata = Array();
	$sql = "";
	$login = "'{$_SESSION['login']}'";
	$conn  = conectar_db("",true);

	$sql = "SELECT count(cod_caja) AS conteo FROM envios.legalizaciones WHERE cod_caja = {$cod_caja_new}; ";
	$err_txt = "Buscar";
	$resultado = query_db($sql, true);

	if (query_estado("err_msg", true) != "")
	{
		$error = "No se pudo {$err_txt} los Documentos filtrados en la Caja {$cod_caja_new}. ";
		$aborto_proc = true;
	}
	else
	{
		$resultado = fetch_array_db($resultado);
		if($resultado[0] > 0)
		{
			$error = "Ya existe una caja Número {$cod_caja_new}, por favor escoja otro Cod. Caja";
			$aborto_proc = true;
		}
	}

	if($aborto_proc == false)
	{
		$sql = "BEGIN;
					UPDATE envios.legalizaciones
						SET cod_caja = {$cod_caja_new}
						WHERE cod_caja = {$cod_caja}; ";
		$err_txt = "Actualizar";

		$resultado = query_db($sql, true);
		if (query_estado("err_msg", true) != "")
		{
			$error = "No se pudo {$err_txt} los Documentos filtrados en la Caja {$cod_caja}. ";
			$aborto_proc = true;
		}
	//	$resultado = fetch_array_db($resultado);
	}

	// Finalizacion del Proceso
	if($aborto_proc == true)
	{
		query_db("ROLLBACK;", true);
		$sdata['error'] = $error;
		$sdata['sql'] = $sql;
	}
	else
	{
//		$sdata['data'] = ($resultado);
		query_db("COMMIT;", true);
	}

	$sdata['success'] = !$aborto_proc;

	$sdata = json_encode(to_utf8($sdata));

	echo $sdata;

	header("Content-Type: application/json; charset=utf-8");
	header("Content-Size: " . strlen($sdata));
	header('X-JSON: ('.$sdata.')');
}
?>
