<?php
session_name($_POST["sidname"]);
session_start();
if(count($_SESSION) == 0)
{
	echo "
		<script type='text/javascript'>
			alert('Sesion expirada, por favor vuelva a ingresar.');
			window.location.replace('../');
		</script>
	";
	exit(0);
}
else
{
	include_once($_SERVER['DOCUMENT_ROOT'].$_SESSION["cnf"]["install_path"]."/config/config.inc.php"); // ** NUEVO
	include_once("main_fx.php");

	if(isset($_POST["funcion"]) )
	{
		switch($_POST["funcion"])
		{
			 case 'AddTodoaCaja':
			 {
				add_todo_a_caja( $_POST["SQLFiltro"], $_POST["CC"] );
			 }
			 break;
			 case 'AddaCaja':
			 {
				add_a_caja( $_POST["CC"], $_POST["idL"] );
			 }
			 break;
			 case 'AddmasDataLegal':
			 {
				add_mas_data_legal( $_POST["CC"], $_POST["IL"], $_POST["OB"], $_POST["IE"], $_POST["TL"] );
			 }
			 break;
			 case 'RemaCaja':
			 {
				rem_a_caja( $_POST["CC"], $_POST["idL"] );
			 }
			 break;
			 case 'guardaCaja':
			 {
				guarda_caja($_POST["CC"] );
			 }
			 break;
			 case 'actualizaEstadoCaja':
			 {
				actualiza_estado_caja($_POST["CC"], $_POST["EST"]);
			 }
			 break;
			 case 'consultaEstadoCaja':
			 {
				consulta_estado_caja($_POST["CC"]);
			 }
			 break;
		     case 'formHogaresDigitales': 
		     {
				 fFormHogaresDig( $_POST["idL"] );
			 }
		     break;
	}
}

////////////////////////////////////////////////////////////////////////
function fFormHogaresDig($idLegalizacion) {
global $cnf;
//echo "lega: {$idLegalizacion}";
	$campos['id_legalizacion'] = gen_campo_html(array("nom_campo_id"=>"id_legalizacion"
											, "label_html"=>"Id. Legalizacion: "
											, "is_readonly"=>true
											, "is_hidden"=>false
											, "is_null"=>true
											, "vr_defecto" => $idLegalizacion
											, "is_horizontal"=>true));

	$campos['id_soportes_odt'] = gen_campo_html(array("nom_campo_id"=>"id_soportes_odt"
											, "label_html"=>"Soportes"
											, "type"=>"COMBOBOX"
											, "is_readonly"=>false
											, "is_hidden"=>false
											, "is_null"=>true
											, "is_horizontal"=>true));

    $campos['agenda'] = gen_campo_html(array(
								  "nom_campo_id" 	=> 'agenda'
								, "label_html" 	=> 'Agenda:'
								, "hint_html" 		=> 'NUMERO OT AGENDA SC'
								, "is_readonly" 	=> FALSE
								, "is_hidden" 		=> FALSE
								, "is_null"			=> true
							));
	
	$campos['marcamodelomodem'] = gen_campo_html(array(
								  "nom_campo_id" 	=> 'marcamodelomodem'
								, "label_html" 	=> 'Marca/Modelo/Modem'
								, "hint_html" 		=> 'NUMERO OT AGENDA SC'
								, "is_readonly" 	=> FALSE9
								, "is_hidden" 		=> FALSE
								, "is_null"			=> true
							));

    $campos['fecha_visita'] = gen_range_html('fecha_visita' ,'DATETIME','Fecha','true','');
	
	$contSCRIPT =<<<contSCRIPT
	<script type="text/javascript">
       //////////////////////////////////////////////////////////////////////// Lista de los soportes O.D.T. adicionados
       oListadoPaq  = objListar('oSel_id_soporte_odt',
                        'odt.soportes_odt_v1',
                        'id_legalizacion',
                        "nom_soportes_odt, cod_caja, nro_envio, id_soportes_para_odt, id_legalizacion",
                        4,
                        'Id. Legalizacion, Documentos O.D.T, Nro. Caja, Id. Validacion',
                        '',
                        'LISTA');

       oListadoPaq.sFiltro  = "(,id_legalizacion,=,{$idLegalizacion})"; //_oL.sFiltro;

       oListadoPaq.enable = true;
       //oListadoPaq.typeEDIT = 3;
       oListadoPaq.cargaInicial = false;

	   oListadoPaq.Inicio();

	   oListadoPaq.prnFunc[0] = "f_SubirImgOdt";
	   oListadoPaq.prnTxt[0] = "<img src='../img/especial01.jpg' />";
       oListadoPaq.oculta("XML");
       oListadoPaq.oculta("BUS");
       oListadoPaq.muestra("PRN");
       oListadoPaq.refresca();
	</script>
contSCRIPT;

	$contHTML =<<<contHTML
			<div id='form_devolucion'>
				{$campos['id_legalizacion']}
				{$campos['agenda']}
				{$campos['marcamodelomodem']}
				{$campos['fecha_visita']}
                <button onclick='f_FinHogares()'><img src="../img/env_devolver.png"/>Terminar</button>
			</div>
            <tr><td><div id='oSel_id_soporte_odt'></div></td></tr>
                    
contHTML;

	header("Content-Type: application/html; charset=utf-8");
	echo to_utf8($contSCRIPT);
	echo to_utf8($contHTML);
}

////////////////////////////////////////////////////////////////////////
function consulta_estado_caja($cod_caja)
{
	if(trim($cod_caja) == '' ) { $cod_caja = "NULL"; } else { $cod_caja = "'{$cod_caja}'"; }

	global $cnf;
	$error = "";
	$aborto_proc = false;
	$sdata = Array();
	$sql = "";
	$login = "'{$_SESSION['login']}'";
	$conn  = conectar_db("",true);

	if($cod_caja == "NULL")
	{
		$aborto_proc = true;
		$error = "Caja sin Identificacion.";
	}

	if($aborto_proc == false)
	{
		$sql = "SELECT id_estado_envio FROM odt.legalizaciones
				  WHERE cod_caja = {$cod_caja}; ";

		$resultado = query_db($sql, true);
		if (query_estado("err_msg", true) != "")
		{
		  $error = "No se pudo Consultar la Caja {$cod_caja}. ";
		  $aborto_proc = true;
		}

		if($aborto_proc == false)
		{
			$resultado = fetch_array_db($resultado);
			$sdata['data'] = ($resultado);
		}
	}

	$sdata['success'] = !$aborto_proc;

	$sdata = json_encode(to_utf8($sdata));

	header("Content-Type: application/json; charset=utf-8");
	header("Content-Size: " . strlen($sdata));
	header('X-JSON: ('.$sdata.')');
}

////////////////////////////////////////////////////////////////////////
function guarda_caja($cod_caja, $nro_guia)
{
	if(trim($cod_caja) == '' ) { $cod_caja = "NULL"; } else { $cod_caja = "'{$cod_caja}'"; }
	if(trim($nro_guia) == '' ) { $nro_guia = "NULL"; } else { $nro_guia = "'{$nro_guia}'"; }

	global $cnf;
	$error = "";
	$aborto_proc = false;
	$sdata = Array();
	$sql = "";
	$login = "'{$_SESSION['login']}'";
	$conn  = conectar_db("",true);

	if($cod_caja == "NULL")
	{
		$aborto_proc = true;
		$error = "Caja sin Identificacion.";
	}

	if($aborto_proc == false)
	{
		$sql = "BEGIN;
				 UPDATE odt.legalizaciones
				  SET   id_estado_envio = 1
				        , nro_guia = {$nro_guia}
				        , login_ce = {$login}
				        , fec_ce = now()
				  WHERE cod_caja = {$cod_caja}
				    AND login = {$login};
				 UPDATE telecom.legalizaciones
				  SET   is_odt = 1
				  WHERE id_leg IN (SELECT id_leg
				                    FROM  odt.legalizaciones
				                    WHERE cod_caja = {$cod_caja}
				                      AND login = {$login});";


		$resultado = query_db($sql, true);
		if (query_estado("err_msg", true) != "")
		{
		  $error = "No se pudo Cerrar la Caja {$cod_caja}. ";
		  $aborto_proc = true;
		}
	}

	// Finalizacion del Proceso
	if($aborto_proc == true)
	{
		query_db("ROLLBACK;", true);
		$sdata['error'] = $error;
		$sdata['sql'] = $sql;
	}
	else
	{
		query_db("COMMIT;", true);
	}

	$sdata['success'] = !$aborto_proc;

	$sdata = json_encode(to_utf8($sdata));

	header("Content-Type: application/json; charset=utf-8");
	header("Content-Size: " . strlen($sdata));
	header('X-JSON: ('.$sdata.')');
}

////////////////////////////////////////////////////////////////////////
function rem_a_caja($cod_caja, $id_legalizacion)
{
	if(trim($cod_caja) == '' ) { $cod_caja = "NULL"; } else { $cod_caja = "'{$cod_caja}'"; }
	if(trim($id_legalizacion) == '' ) { $id_legalizacion = "NULL"; } else { $id_legalizacion = "'{$id_legalizacion}'"; }

	global $cnf;
	$error = "";
	$aborto_proc = false;
	$sdata = Array();
	$sql = "";
	$login = "'{$_SESSION['login']}'";

	$conn  = conectar_db("",true);
	if($id_legalizacion == "NULL")
	{
		$aborto_proc = true;
		$error = "Documento o Carpeta No Seleccionado.";
	}

	if($aborto_proc == false)
	{
		$sql = " SELECT is_devuelto "
				." FROM  odt.legalizaciones"
		      ." WHERE id_legalizacion = {$id_legalizacion}"
		      ." AND cod_caja = {$cod_caja};";
		$err_txt = "Consultar";
//echo "203" .$sql;
		$resultado = query_db($sql, true);
		if (query_estado("err_msg", true) != "")
		{
		  $error = "No se pudo {$err_txt} el Documento o Carpeta Seleccionado. ";
		  $aborto_proc = true;
		}
		$resultado = fetch_array_db($resultado);

	}
//var_dump($resultado);
	if($aborto_proc == false)
	{
		if($resultado[0] == False OR $resultado[0] == "f")
		{
			$sql = "BEGIN;
			     UPDATE telecom.legalizaciones
		          SET   is_odt = 0
		          WHERE is_odt = 1
		            AND id_leg = (SELECT id_leg
		                           FROM  odt.legalizaciones
		                           WHERE id_legalizacion = {$id_legalizacion}
		                             AND cod_caja = {$cod_caja}
		                             AND login = {$login});

			     DELETE FROM odt.legalizaciones
			      WHERE id_legalizacion = {$id_legalizacion}
			        AND cod_caja = {$cod_caja}
			        AND login = {$login};";

			$err_txt = "Eliminar";
//echo "233 $sql";
		}
		else
		{
			$sql = "BEGIN;
			     UPDATE odt.legalizaciones
			     SET login = {$login}
			     , id_estado_envio = 11
			     , cod_caja = NULL
		        , login_ce = {$login}
		        , fec_ce = now()
			      WHERE id_legalizacion = {$id_legalizacion}
			        AND cod_caja = {$cod_caja};";
//echo "246 $sql";
			$err_txt = "Actualizar";
		}
	}

	$resultado = query_db($sql, true);
	if (query_estado("err_msg", true) != "")
	{
	  $error = "No se pudo {$err_txt} el Documento Seleccionado de la Caja {$cod_caja}. ";
	  $aborto_proc = true;
	  $sqlE = $sql;
	}
	$resultado = fetch_array_db($resultado);

	// Finalizacion del Proceso
	if($aborto_proc == true)
	{
		query_db("ROLLBACK;", true);
		$sdata['error'] = $error;
		$sdata['sql'] = $sqlE;
	}
	else
	{
//		$sdata['data'] = ($resultado);
		$sdata['accion'] = $err_txt;
		query_db("COMMIT;", true);
	}

	$sdata['success'] = !$aborto_proc;

	$sdata = json_encode(to_utf8($sdata));

	header("Content-Type: application/json; charset=utf-8");
	header("Content-Size: " . strlen($sdata));
	header('X-JSON: ('.$sdata.')');
}

////////////////////////////////////////////////////////////////////////
function add_mas_data_legal($cod_caja, $id_leg, $observa, $is_especial, $tipo_legalizacion, $nro_guia)
{
	if(trim($cod_caja) == '' ) { $cod_caja = "NULL"; } else { $cod_caja = "'{$cod_caja}'"; }
	if(trim($id_leg) == '' ) { $id_leg = "NULL"; } else { $id_leg = "'{$id_leg}'"; }
	if(trim($observa) == '' ) { $observa = "NULL"; } else { $observa = "'{$observa}'"; }
	if(trim($is_especial) == '' ) { $is_especial = "NULL"; } else { if($is_especial == 1) {$is_especial = "TRUE"; } else {$is_especial = "FALSE"; } }
	if(trim($tipo_legalizacion) == '' ) { $tipo_legalizacion = "NULL"; } else { $tipo_legalizacion = "'{$tipo_legalizacion}'"; }
	if(trim($nro_guia) == '' ) { $nro_guia = "NULL"; } else { $nro_guia = "'{$nro_guia}'"; }

	$login = "'{$_SESSION['login']}'";

	global $cnf;
	$error = "";
	$aborto_proc = false;
	$sdata = Array();
	$sql = "";

	$conn  = conectar_db("",true);
	if($id_legalizacion != "NULL")
	{
		$err_txt = "Buscar ";
	}
	else
	{
		$aborto_proc = true;
		$error = "Documento o Carpeta No Seleccionado.";
	}

	if($aborto_proc == false)
	{
		// Si llega hasta este punto la carpeta es especial siempre
		$sql = "BEGIN;
			     DELETE FROM odt.legalizaciones
			      WHERE id_leg = {$id_leg};
			     INSERT INTO odt.legalizaciones
			                 (cod_caja, id_leg, is_fisico, is_caso_especial, login, observacion, id_tipo_legalizacion, fec_tx, id_estado_envio, nro_guia, fec_ce, login_ce ) VALUES
			                 ({$cod_caja}, {$id_leg}, {$is_especial}, TRUE, {$login}, {$observa}, {$tipo_legalizacion}, now(), 1, {$nro_guia}, now(), {$login})
			       RETURNING id_legalizacion;
			     UPDATE telecom.legalizaciones
			      SET   is_odt = 1
			      WHERE id_leg = {$id_leg};";
		$err_txt = "Actualizar";
	}

	$resultado = query_db($sql, true);
	if (query_estado("err_msg", true) != "")
	{
	  $error = "No se pudo {$err_txt} el Documento o Carpeta Seleccionado.";
	  $aborto_proc = true;
	}

	$resultado = fetch_array_db($resultado);
	// Finalizacion del Proceso
	if($aborto_proc == true)
	{
		query_db("ROLLBACK;", true);
		$sdata['error'] = $error;
		$sdata['sql'] = $sql;
	}
	else
	{
		$sdata['data'] = ($resultado);
		query_db("COMMIT;", true);
		$sdata['sql'] = $sql;
	}

	$sdata['success'] = !$aborto_proc;

	$sdata = json_encode(to_utf8($sdata));

	header("Content-Type: application/json; charset=utf-8");
	header("Content-Size: " . strlen($sdata));
	header('X-JSON: ('.$sdata.')');
}

////////////////////////////////////////////////////////////////////////
function add_a_caja($cod_caja, $id_leg, $nro_guia)
{
	if(trim($cod_caja) == '' ) { $cod_caja = "NULL"; } else { $cod_caja = "'{$cod_caja}'"; }
	if(trim($id_leg) == '' ) { $id_leg = "NULL"; } else { $id_leg = "'{$id_leg}'"; }
	if(trim($nro_guia) == '' ) { $nro_guia = "NULL"; } else { $nro_guia = "'{$nro_guia}'"; }
	
	global $cnf;
	$error = "";
	$aborto_proc = false;
	$sdata = Array();
	$sql = "";

// Fecha: Domingo, 30 de enero de 2011, Jainer A. Marin
// Esta vaviable se utiliza para los ENVIOS DE TELECOM cuando se inserta un nuevo abonado en la tabla odt.legalizaciones
       $idGrupo = '47';

	$login = "'{$_SESSION['login']}'";

	$conn  = conectar_db("",true);
	if($id_leg != "NULL")
	{
		$sql = " SELECT count(*) AS conteo"
				. " FROM odt.legalizaciones"
				. " WHERE id_leg = {$id_leg};";
		$err_txt = "encontrar ";
	}
	else
	{
		$aborto_proc = true;
		$error = "Documento o Carpeta No Seleccionado.";
	}

 	$resultado = query_db($sql, true);
	if (query_estado("err_msg", true) != "")
	{
	  $error = "No se pudo {$err_txt} el Documento o Carpeta Seleccionado. ";
	  $aborto_proc = true;
	}
	$resultado = fetch_array_db($resultado);

	if($aborto_proc == false)
	{
		if($resultado[0] == "0")
		{
			// Insertar el Documento
			$sql = "BEGIN;
				      INSERT INTO odt.legalizaciones
				                 (cod_caja, id_leg, login, fec_tx, id_estado_envio, nro_guia, is_fisico,  fec_ce, login_ce, id_grupo) VALUES
				                 ({$cod_caja}, {$id_leg}, {$login}, now(), 0, {$nro_guia}, true, now(), {$login}, {$idGrupo})
				        RETURNING id_legalizacion;

			          UPDATE telecom.legalizaciones
			            SET   is_odt = 1
			            WHERE id_leg = {$id_leg};";

			$err_txt = "Insertar";
                 
		}
		else
		{
			// Update a la nueva Caja, precaucion en caso de que el correo halla sido enviado en otra caja, posible error
			$sql = " SELECT id_legalizacion "
					. " FROM odt.legalizaciones"
					. " WHERE id_leg = {$id_leg};";
			$resultado = query_db($sql, true);
			if (query_estado("err_msg", true) != "")
			{
			  $error = "No se pudo Leer el Documento o Carpeta Seleccionado. ";
			  $aborto_proc = true;
			}
			$resultado = fetch_array_db($resultado);
			$id = "'{$resultado[0]}'";

			$sql = "BEGIN;
				     UPDATE odt.legalizaciones
				      SET   id_legalizacion = {$id}
				            , cod_caja = {$cod_caja}
				            , id_leg = {$id_leg}
				            , login = {$login}
				            , fec_tx = now()
				            , nro_guia = {$nro_guia}
								, is_fisico = true
								, id_estado_envio = 0
					         , login_ce = {$login}
								, fec_ce = now()
				      WHERE id_legalizacion = {$id}
				      RETURNING id_legalizacion;

				      UPDATE telecom.legalizaciones
			            SET   is_odt = 1
			            WHERE id_leg = {$id_leg}; ";
			$err_txt = "Actualizar";
		}
	}

	$resultado = query_db($sql, true);
	if (query_estado("err_msg", true) != "")
	{
        $error = "No se pudo {$err_txt} el Documento Seleccionado en la Caja {$cod_caja}. ";
        $aborto_proc = true;
	}
	$resultado = fetch_array_db($resultado);

	// Finalizacion del Proceso
	if($aborto_proc == true)
	{
		query_db("ROLLBACK;", true);
		$sdata['error'] = $error;
		$sdata['sql'] = $sql;
	}
	else
	{
		$sdata['data'] = ($resultado);
		$sdata['accion'] = $err_txt;
		query_db("COMMIT;", true);
	}

	$sdata['success'] = !$aborto_proc;

	$sdata = json_encode(to_utf8($sdata));

	echo $sdata;

	header("Content-Type: application/json; charset=utf-8");
	header("Content-Size: " . strlen($sdata));
	header('X-JSON: ('.$sdata.')');
}

////////////////////////////////////////////////////////////////////////
function add_todo_a_caja( $SQLFiltro , $cod_caja, $nro_guia )
{
	if(trim($cod_caja) == '' ) { $cod_caja = "NULL"; } else { $cod_caja = "'{$cod_caja}'"; }
	if(trim($nro_guia) == '' ) { $nro_guia = "NULL"; } else { $nro_guia = "'{$nro_guia}'"; }

	global $cnf;
	$error = "";
	$aborto_proc = false;
	$sdata = Array();
	$sql = "";
	$login = "'{$_SESSION['login']}'";
	$sSQL = "";
	$conn  = conectar_db("",true);

//SELECT fec_legal, usuario_legal, num_ident, cliente, celular, producto, is_odt, id_leg FROM telecom.legalizaciones  WHERE is_odt = '0' AND usuario_legal = 'NHX16399' AND num_ident = '46362289'  LIMIT 20 OFFSET 0

	if ( strpos(strtoupper($SQLFiltro), 'ORDER') > 0)
	{
		$sSQL = substr($SQLFiltro, 0, strpos(strtoupper($SQLFiltro), 'ORDER'));
	}
	if ( strpos(strtoupper($SQLFiltro), 'LIMIT') > 0)
	{
		$sSQL = substr($SQLFiltro, 0, strpos(strtoupper($SQLFiltro), 'LIMIT'));
	}
	if ( strpos(strtoupper($SQLFiltro), 'GROUP BY') > 0)
	{
		$sSQL = substr($SQLFiltro, 0, strpos(strtoupper($SQLFiltro), 'GROUP BY'));
	}

	$sSQL = "SELECT {$cod_caja}, id_leg, {$login}, now(), 0, {$nro_guia}, now(), {$login} ".substr($sSQL,strpos(strtoupper($sSQL), 'FROM'));
	$sWhere = substr($sSQL,strpos(strtoupper($sSQL), 'WHERE'));
	// Insertar los Documentos
	$sql = "BEGIN;
		      INSERT INTO odt.legalizaciones
		                 (cod_caja, id_leg, login, fec_tx, id_estado_envio, nro_guia, fec_ce, login_ce)
		                 ({$sSQL});
	          UPDATE telecom.legalizaciones
	            SET is_odt = 1
	            {$sWhere};";
	$err_txt = "insertar";

	$resultado = query_db($sql, true);
	if (query_estado("err_msg", true) != "")
	{
		$error = "No se pudo {$err_txt} los Documentos filtrados en la Caja {$cod_caja}. ";
		$aborto_proc = true;
	}
	$resultado = fetch_array_db($resultado);

	// Finalizacion del Proceso
	if($aborto_proc == true)
	{
		query_db("ROLLBACK;", true);
		$sdata['error'] = $error;
		$sdata['sql'] = $sql;
	}
	else
	{
		$sdata['data'] = ($resultado);
		query_db("COMMIT;", true);
	}
	$sdata['sql'] = $sql;

	$sdata['success'] = !$aborto_proc;

	$sdata = json_encode(to_utf8($sdata));

	echo $sdata;

	header("Content-Type: application/json; charset=utf-8");
	header("Content-Size: " . strlen($sdata));
	header('X-JSON: ('.$sdata.')');
}

////////////////////////////////////////////////////////////////////////
function actualiza_estado_caja($cod_caja, $estado)
{
	if(trim($cod_caja) == '' ) { $cod_caja = "NULL"; } else { $cod_caja = "'{$cod_caja}'"; }
	if(trim($estado) == '' ) { $estado = "0"; } else { $estado = "'{$estado}'"; }

	global $cnf;
	$error = "";
	$aborto_proc = false;
	$sdata = Array();
	$sql = "";
	$login = "'{$_SESSION['login']}'";
	$conn  = conectar_db("",true);

	$sql = "BEGIN;
		      UPDATE odt.legalizaciones
		         SET id_estado_envio = {$estado}
		        , login_ce = {$login}
		        , fec_ce = now()
	            WHERE cod_caja = {$cod_caja}; ";
	$err_txt = "Actualizar";

	$resultado = query_db($sql, true);
	if (query_estado("err_msg", true) != "")
	{
		$error = "No se pudo {$err_txt} los Documentos filtrados en la Caja {$cod_caja}. ";
		$aborto_proc = true;
	}
//	$resultado = fetch_array_db($resultado);

	// Finalizacion del Proceso
	if($aborto_proc == true)
	{
		query_db("ROLLBACK;", true);
		$sdata['error'] = $error;
		$sdata['sql'] = $sql;
	}
	else
	{
//		$sdata['data'] = ($resultado);
		query_db("COMMIT;", true);
	}

	$sdata['success'] = !$aborto_proc;

	$sdata = json_encode(to_utf8($sdata));

	echo $sdata;

	header("Content-Type: application/json; charset=utf-8");
	header("Content-Size: " . strlen($sdata));
	header('X-JSON: ('.$sdata.')');
}
?>
