<?php
session_name($_POST["sidname"]);
session_start();
if(count($_SESSION) == 0)
{
	echo "
		<script type='text/javascript'>
			alert('Sesion expirada, por favor vuelva a ingresar.');
			window.location.replace('../');
		</script>
	";
	exit(0);
}
else
{
	include_once($_SERVER['DOCUMENT_ROOT'].$_SESSION["cnf"]["install_path"]."/config/config.inc.php"); // ** NUEVO
	include_once("main_fx.php");

	if(isset($_POST["funcion"]) )
	{
		switch($_POST["funcion"])
		{
			 case 'AddTodoaCaja':
			 {
				add_todo_a_caja( $_POST["SQLFiltro"], $_POST["CC"] );
			 }
			 break;
			 case 'AddaCaja':
			 {
				add_a_caja( $_POST["CC"], $_POST["idL"] );
			 }
			 break;
			 case 'AddmasDataLegal':
			 {
				add_mas_data_legal( $_POST["CC"], $_POST["IL"], $_POST["OB"], $_POST["IE"], $_POST["TL"] );
			 }
			 break;
			 case 'RemaCaja':
			 {
				rem_a_caja( $_POST["CC"], $_POST["idL"] );
			 }
			 break;
			 case 'guardaCaja':
			 {
				guarda_caja($_POST["CC"] );
			 }
			 break;
			 case 'actualizaEstadoCaja':
			 {
				actualiza_estado_caja($_POST["CC"], $_POST["EST"]);
			 }
			 break;
			 case 'consultaEstadoCaja':
			 {
				consulta_estado_caja($_POST["CC"]);
			 }
			 break;
			 case 'AdiciAdjuntos':
			 {
				adi_adjuntos_hog($_POST["idL"], $_POST["idP"], $_POST["idT"], $_POST["idR"], $_POST["nuT"]);
			 }
			 break;			 
             case 'CargaCamposNuevos':
			 {
				Car_campos_nuevos($_POST["idL"], $_POST["ND"], $_POST["NC"], $_POST["MR"], $_POST["MO"], $_POST["FE"]);
			 }
			 break;			 			 
             case 'mueveArchivo':
			 {
				fmueveArchivo($_POST["p1"], $_POST["p2"], $_POST["p3"], $_POST["p4"], $_POST["p5"], $_POST["p6"]);
			 }
			 break;			 			 
		}
	}
}

////////////////////////////////////////////////////////////////////////
function Car_campos_nuevos($idLegalizacion, $NroDocumento, $NomCliente, $MarcaModem, $ModeloModem, $FechaDigita)
{
    //if(trim($idLegalizacion) == '' ) { $idLegalizacion = "NULL"; } else { $idLegalizacion = "'{$idLegalizacion}'"; }
    if(trim($NroDocumento) == '' ) { $NroDocumento = "NULL"; } else { $NroDocumento = "'{$NroDocumento}'"; }
    if(trim($NomCliente) == '' ) { $NomCliente = "NULL"; } else { $NomCliente = "'{$NomCliente}'"; }
    if(trim($MarcaModem) == '' ) { $MarcaModem = "NULL"; } else { $MarcaModem = "'{$MarcaModem}'"; }
    if(trim($ModeloModem) == '' ) { $ModeloModem = "NULL"; } else { $ModeloModem = "'{$ModeloModem}'"; }
    if(trim($FechaDigita) == '' ) { $FechaDigita = "NULL"; } else { $FechaDigita = "'{$FechaDigita}'"; }
   
    global $cnf;
	$error = "";
	$aborto_proc = false;
	$sdata = Array();
	$login = "'{$_SESSION['login']}'";

	$conn  = conectar_db("",true);
	if($idLegalizacion == "NULL")
	{
		$aborto_proc = true;
		$err_txt = "Insertar";
	}
	else
	{
        $sql = " SELECT id_legalizacion"
			  ." FROM  odt.legalizaciones"
		      ." WHERE id_legalizacion = {$idLegalizacion};";
		$err_txt = "Consultar " . $sql ;
		$resultado = query_db($sql, true);
		if (query_estado("err_msg", true) != "")
		{
		  $error = "No se pudo {$err_txt} la informacion adicional asociada al documento. ";
		  $aborto_proc = true;
		}
		$resultado = fetch_array_db($resultado);
	    if($aborto_proc == false)
	    {
		   if($resultado[0] == False OR $resultado[0] != "")
		   {
                 $sql = "BEGIN;"
				    ." UPDATE odt.legalizaciones"
				    ." SET nro_documento = {$NroDocumento}"
				    ."    , nombre_cliente = {$NomCliente}"
				    ."    , marca_modem = {$MarcaModem}"
				    ."    , modelo_modem = {$ModeloModem}"
				    ."    , fec_instal = {$FechaDigita}"
				    ." WHERE id_legalizacion = {$idLegalizacion};";
			     $err_txt = "Consultar item: "  . $sql ;    
   		         $resultado = query_db($sql, true);
		         if (query_estado("err_msg", true) != "")
		         {
		            $error = "No se pudo {$err_txt} el item en archivo documentos, del documento seleccionado.";
		         }
	       }
	    }
	 }
	// Finalizacion del Proceso
	if($aborto_proc === true)
	{
		query_db("ROLLBACK;", true);
		$sdata['error'] = $error;
		$sdata['sql'] = $sql;
		$err_txt = "Insertar ERROR ". $sql;
	}
	else
	{
		$sdata['data'] = Array( $resultado[0] );
		query_db("COMMIT;", true);//       header("Content-Type: application/json; charset=utf-8");
//       header("Content-Size: " . strlen($sdata));
//       header('X-JSON: ('.$sdata.')');

	}
	$sdata['success'] = !$aborto_proc;
    $sdata = json_encode(to_utf8($sdata));
    header("Content-Type: application/json; charset=utf-8");
    header("Content-Size: " . strlen($sdata));
    header('X-JSON: ('.$sdata.')');
}
	
////////////////////////////////////////////////////////////////////////
function adi_adjuntos_hog($idLegalizacion, $idPeticion, $idTelefono, $idTrd, $NuipTelefonica)
{
	if(trim($idLegalizacion) == '' ) { $idLegalizacion = "NULL"; } else { $idLegalizacion = "'{$idLegalizacion}'"; }

	global $cnf;
	$error = "";
	$aborto_proc = false;
	$sdata = Array();
	$login = "'{$_SESSION['login']}'";

	global $fDir;
	$fDir = trim($_SESSION["cnf"]["dir_adjuntos_correspondencia"]);


	$conn  = conectar_db("",true);
	if($idLegalizacion == "NULL")
	{
		$aborto_proc = true;
		$err_txt = "Insertar";
	}
	else
	{
	  for($nl=540; $nl<=545; $nl++)  
	  {
		$idTrd = $nl;
		$sql = " SELECT id_archivo_serial "
			  ." FROM  documentos.archivo"
		      ." WHERE id_legalizacion = {$idLegalizacion}"
		      ." AND id_trd = {$idTrd};";
		$err_txt = "Consultar";
		$resultado = query_db($sql, true);
		if (query_estado("err_msg", true) != "")
		{
		  $error = "No se pudo {$err_txt} la imagen asociada al documento. ";
		  $aborto_proc = true;
		}
		$resultado = fetch_array_db($resultado);
	    if($aborto_proc == false)
	    {
		   if($resultado[0] == False OR $resultado[0] == "")
		   {
		      $sql = "BEGIN;"
				. " INSERT INTO documentos.archivo"
				. " (id_legalizacion, nro_doc_maestro2, id_nuip, id_trd, cant_imagenes, cant_img_contar, nro_doc_maestro) VALUES"
				. " ({$idLegalizacion}, '{$idPeticion}', '{$NuipTelefonica}', {$idTrd}, 1, 1, '{$idTelefono}') RETURNING id_archivo_serial; ";
		      $resultado = query_db($sql, true);
		      if (query_estado("err_msg", true) != "")
		      {
		         $error = "No se pudo {$err_txt} el item en archivo documentos, del documento seleccionado.";
		         $aborto_proc = true;
		      }
		   }
		}      
	  }	
	}
	// Finalizacion del Proceso
	if($aborto_proc === true)
	{
		query_db("ROLLBACK;", true);
		$sdata['error'] = $error;
		$sdata['sql'] = $sql;
		$err_txt = "Insertar ERROR ". $sql;
	}
	else
	{
		$err_txt = "Insertar OK";
		$sdata['data'] = Array( $resultado[0] );
		query_db("COMMIT;", true);
	}
	$sdata['success'] = !$aborto_proc;
    //$sdata = json_encode(to_utf8($sdata));

	//if($aborto_proc === false)
//	{
       //echo "lega: {$idLegalizacion}";
       $campos['id_sql'] = gen_campo_html(array("nom_campo_id"=>"id_sql"
											, "label_html"=>"Sql: "
											, "is_readonly"=>true
											, "is_hidden"=>true
											, "is_null"=>true
											, "vr_defecto" => $err_txt
											, "is_horizontal"=>true));	   
	   
	   $campos['id_peticion'] = gen_campo_html(array("nom_campo_id"=>"id_peticion"
											, "label_html"=>"Id. Peticion: "
											, "is_readonly"=>true
											, "is_hidden"=>false
											, "is_null"=>true
											, "vr_defecto" => $idPeticion 
											, "is_horizontal"=>true));	   
	   
	   $campos['id_legalizacion'] = gen_campo_html(array("nom_campo_id"=>"id_legalizacion"
											, "label_html"=>"Id. Legalizacion: "
											, "is_readonly"=>false
											, "is_hidden"=>true
											, "is_null"=>true
											, "vr_defecto" => $idLegalizacion
											, "is_horizontal"=>true));

	   $campos['No_Documento'] = gen_campo_html(array("nom_campo_id"=>"No_Documento"
											, "label_html"=>"No. Documento: "
											, "is_readonly"=>false
											, "is_hidden"=>false
											, "is_null"=>true
											, "is_horizontal"=>true));

	   $campos['Nombre_cliente'] = gen_campo_html(array("nom_campo_id"=>"Nombre_cliente"
											, "label_html"=>"Nombre Cliente: "
											, "is_readonly"=>false
											, "is_hidden"=>false
											, "is_null"=>true
											, "is_horizontal"=>true));

	   $campos['Marca'] = gen_campo_html(array("nom_campo_id"=>"Marca"
											, "label_html"=>"Marca: "
											, "is_readonly"=>false
											, "is_hidden"=>false
											, "is_null"=>true
											, "is_horizontal"=>true));

	   $campos['Modelo'] = gen_campo_html(array("nom_campo_id"=>"Modelo"
											, "label_html"=>"Modelo: "
											, "is_readonly"=>false
											, "is_hidden"=>false
											, "is_null"=>true
											, "is_horizontal"=>true));

       $campos['Tipo_trd'] = gen_campo_html(array("nom_campo_id"=>"Tipo_trd"
											, "label_html"=> " "
											, "is_readonly"=>true
											, "is_hidden"=>false
											, "is_null"=>true
											, "is_vertical"=>true
                                            , "vr_defecto"=>">> Tipo Trd escojido...."
											, "is_horizontal"=>true));

       $campos["fec_digita"] = gen_campo_html(array("nom_campo_id"=>"fec_digita",
                                        "type"=>"DATE",
                                        "label_html"=>"Fecha digita: ",
                                        "vr_defecto"=>date("Y-m-d"),
                                        "hint_html"=>""));

	   $campos["observacion_ce"] = gen_campo_html(array("nom_campo_id"=>"observacion_ce",
                                        "label_html"=>"Observaciones",
                                        "type"=>"TEXT",
                                        "is_null"=>true,
                                        "is_horizontal"=>true));

//       $campos['fec_digita'] = gen_range_html('fec_alta' ,'DATE','Fecha','true','');

	   $contSCRIPT =<<<contSCRIPT
	   <script type="text/javascript">
	      ///////////////////// Lista de los soportes O.D.T. adicionados
          oListadoAdj  = objListar('oSel_Adjuntos_Hog',
                        'documentos.archivo_v1',
                        'id_archivo_serial',
                        "tipo_archivo, nro_doc_maestro, maq_id_nuip, maq_nom_nuip, desc_trd, cant_imagenes, fec_archivo, id_trd, id_archivo_serial",
                        7,
                        'Tipo, Abomado, Cedula o NIT, Nombre(s), TRD, Imagenes, Fecha,',
                        '',
                        'LISTA');

          oListadoAdj.sFiltro  = "(,nro_doc_maestro2,=,{$idPeticion})"; //_oL.sFiltro;
          oListadoAdj.enable = true;
          oListadoAdj.cargaInicial = true;

	      oListadoAdj.Inicio();

	      oListadoAdj.prnFunc[0] = "f_SubirImgs";
	      oListadoAdj.prnTxt[0] = "<img src='../img/attachment.png' />";
          oListadoAdj.oculta("XML");
          oListadoAdj.oculta("BUS");
          oListadoAdj.muestra("PRN");
          oListadoAdj.refresca();

	      var oULurl_img_A = new objUL('dVD2Ca');
          oULurl_img_A.idCampo = 'idCampo2';
          oULurl_img_A.sRuta = '{$fDir}/'+_usuario()+'/evn/';
          oULurl_img_A.bAuto = false;
          oULurl_img_A.txtBSubida = '<button>Enviar archivo</button>';
          oULurl_img_A.Inicio();
          oULurl_img_A.mostrar('CTRL', false);

	   </script>
contSCRIPT;
	    $contHTML =<<<contHTML
	    <div id='form_devolucion'>
		<table>
            <tr>
                <td>
			       {$campos['id_sql']}
			       {$campos['id_peticion']}
				   {$campos['id_legalizacion']}
				   {$campos['No_Documento']}
				   {$campos['Nombre_cliente']}
				   {$campos['Marca']}
				   {$campos['Modelo']}
				   {$campos['fec_digita']}
                </td>
                <td style="font-family: verdana, arial; font-size:11px;">
				   {$campos['Tipo_trd']}
                   Adjuntar archivo
                   <div id='dVD2Ca'></div>
                </td>
              </tr>
              <td>
                 {$campos['observacion_ce']}
              <td>
        </table>
			<td>
                <tr><td><button onclick='f_FrescarHog()'>Actualizar</button></td></tr>
                <tr><td><div id='oSel_Adjuntos_Hog'></div></td></tr>
            </td>
			</div>
			
contHTML;
	   header("Content-Type: application/html; charset=utf-8");
	   echo to_utf8($contSCRIPT);
	   echo to_utf8($contHTML);
//	}
//	else
//	{
//       header("Content-Type: application/json; charset=utf-8");
//       header("Content-Size: " . strlen($sdata));
//       header('X-JSON: ('.$sdata.')');
//	}FDFD
}

////////////////////////////////////////////////////////////////////////
function consulta_estado_caja($cod_caja)
{
	if(trim($cod_caja) == '' ) { $cod_caja = "NULL"; } else { $cod_caja = "'{$cod_caja}'"; }

	global $cnf;
	$error = "";
	$aborto_proc = false;
	$sdata = Array();
	$sql = "";
	$login = "'{$_SESSION['login']}'";
	$conn  = conectar_db("",true);

	if($cod_caja == "NULL")
	{
		$aborto_proc = true;
		$error = "Caja sin Identificacion.";
	}

	if($aborto_proc == false)
	{
		$sql = "SELECT id_estado_envio FROM odt.legalizaciones
				  WHERE cod_caja = {$cod_caja}; ";

		$resultado = query_db($sql, true);
		if (query_estado("err_msg", true) != "")
		{
		  $error = "No se pudo Consultar la Caja {$cod_caja}. ";
		  $aborto_proc = true;
		}

		if($aborto_proc == false)
		{
			$resultado = fetch_array_db($resultado);
			$sdata['data'] = ($resultado);
		}
	}

	$sdata['success'] = !$aborto_proc;

	$sdata = json_encode(to_utf8($sdata));

	header("Content-Type: application/json; charset=utf-8");
	header("Content-Size: " . strlen($sdata));
	header('X-JSON: ('.$sdata.')');
}

////////////////////////////////////////////////////////////////////////
function guarda_caja($cod_caja, $nro_guia)
{
	if(trim($cod_caja) == '' ) { $cod_caja = "NULL"; } else { $cod_caja = "'{$cod_caja}'"; }
	if(trim($nro_guia) == '' ) { $nro_guia = "NULL"; } else { $nro_guia = "'{$nro_guia}'"; }

	global $cnf;
	$error = "";
	$aborto_proc = false;
	$sdata = Array();
	$sql = "";
	$login = "'{$_SESSION['login']}'";
	$conn  = conectar_db("",true);

	if($cod_caja == "NULL")
	{
		$aborto_proc = true;
		$error = "Caja sin Identificacion.";
	}

	if($aborto_proc == false)
	{
		$sql = "BEGIN;
				 UPDATE odt.legalizaciones
				  SET   id_estado_envio = 1
				        , nro_guia = {$nro_guia}
				        , login_ce = {$login}
				        , fec_ce = now()
				  WHERE cod_caja = {$cod_caja}
				    AND login = {$login};
				 UPDATE telecom.legalizaciones
				  SET   is_odt = 1
				  WHERE id_leg IN (SELECT id_leg
				                    FROM  odt.legalizaciones
				                    WHERE cod_caja = {$cod_caja}
				                      AND login = {$login});";


		$resultado = query_db($sql, true);
		if (query_estado("err_msg", true) != "")
		{
		  $error = "No se pudo Cerrar la Caja {$cod_caja}. ";
		  $aborto_proc = true;
		}
	}

	// Finalizacion del Proceso
	if($aborto_proc == true)
	{
		query_db("ROLLBACK;", true);
		$sdata['error'] = $error;
		$sdata['sql'] = $sql;
	}
	else
	{
		query_db("COMMIT;", true);
	}

	$sdata['success'] = !$aborto_proc;

	$sdata = json_encode(to_utf8($sdata));

	header("Content-Type: application/json; charset=utf-8");
	header("Content-Size: " . strlen($sdata));
	header('X-JSON: ('.$sdata.')');
}

////////////////////////////////////////////////////////////////////////
function rem_a_caja($cod_caja, $id_legalizacion)
{
	if(trim($cod_caja) == '' ) { $cod_caja = "NULL"; } else { $cod_caja = "'{$cod_caja}'"; }
	if(trim($id_legalizacion) == '' ) { $id_legalizacion = "NULL"; } else { $id_legalizacion = "'{$id_legalizacion}'"; }

	global $cnf;
	$error = "";
	$aborto_proc = false;
	$sdata = Array();
	$sql = "";
	$login = "'{$_SESSION['login']}'";

	$conn  = conectar_db("",true);
	if($id_legalizacion == "NULL")
	{
		$aborto_proc = true;
		$error = "Documento o Carpeta No Seleccionado.";
	}

	if($aborto_proc == false)
	{
		$sql = " SELECT is_devuelto "
				." FROM  odt.legalizaciones"
		      ." WHERE id_legalizacion = {$id_legalizacion}"
		      ." AND cod_caja = {$cod_caja};";
		$err_txt = "Consultar";
//echo "203" .$sql;
		$resultado = query_db($sql, true);
		if (query_estado("err_msg", true) != "")
		{
		  $error = "No se pudo {$err_txt} el Documento o Carpeta Seleccionado. ";
		  $aborto_proc = true;
		}
		$resultado = fetch_array_db($resultado);

	}
//var_dump($resultado);
	if($aborto_proc == false)
	{
		if($resultado[0] == False OR $resultado[0] == "f")
		{
			$sql = "BEGIN;
			     UPDATE telecom.legalizaciones
		          SET   is_odt = 0
		          WHERE is_odt = 1
		            AND id_leg = (SELECT id_leg
		                           FROM  odt.legalizaciones
		                           WHERE id_legalizacion = {$id_legalizacion}
		                             AND cod_caja = {$cod_caja}
		                             AND login = {$login});

			     DELETE FROM odt.legalizaciones
			      WHERE id_legalizacion = {$id_legalizacion}
			        AND cod_caja = {$cod_caja}
			        AND login = {$login};";

			$err_txt = "Eliminar";
//echo "233 $sql";
		}
		else
		{
			$sql = "BEGIN;
			     UPDATE odt.legalizaciones
			     SET login = {$login}
			     , id_estado_envio = 11
			     , cod_caja = NULL
		        , login_ce = {$login}
		        , fec_ce = now()
			      WHERE id_legalizacion = {$id_legalizacion}
			        AND cod_caja = {$cod_caja};";
//echo "246 $sql";
			$err_txt = "Actualizar";
		}
	}

	$resultado = query_db($sql, true);
	if (query_estado("err_msg", true) != "")
	{
	  $error = "No se pudo {$err_txt} el Documento Seleccionado de la Caja {$cod_caja}. ";
	  $aborto_proc = true;
	  $sqlE = $sql;
	}
	$resultado = fetch_array_db($resultado);

	// Finalizacion del Proceso
	if($aborto_proc == true)
	{
		query_db("ROLLBACK;", true);
		$sdata['error'] = $error;
		$sdata['sql'] = $sqlE;
	}
	else
	{
//		$sdata['data'] = ($resultado);
		$sdata['accion'] = $err_txt;
		query_db("COMMIT;", true);
	}

	$sdata['success'] = !$aborto_proc;

	$sdata = json_encode(to_utf8($sdata));

	header("Content-Type: application/json; charset=utf-8");
	header("Content-Size: " . strlen($sdata));
	header('X-JSON: ('.$sdata.')');
}

////////////////////////////////////////////////////////////////////////
function add_mas_data_legal($cod_caja, $id_leg, $observa, $is_especial, $tipo_legalizacion, $nro_guia)
{
	if(trim($cod_caja) == '' ) { $cod_caja = "NULL"; } else { $cod_caja = "'{$cod_caja}'"; }
	if(trim($id_leg) == '' ) { $id_leg = "NULL"; } else { $id_leg = "'{$id_leg}'"; }
	if(trim($observa) == '' ) { $observa = "NULL"; } else { $observa = "'{$observa}'"; }
	if(trim($is_especial) == '' ) { $is_especial = "NULL"; } else { if($is_especial == 1) {$is_especial = "TRUE"; } else {$is_especial = "FALSE"; } }
	if(trim($tipo_legalizacion) == '' ) { $tipo_legalizacion = "NULL"; } else { $tipo_legalizacion = "'{$tipo_legalizacion}'"; }
	if(trim($nro_guia) == '' ) { $nro_guia = "NULL"; } else { $nro_guia = "'{$nro_guia}'"; }

	$login = "'{$_SESSION['login']}'";

	global $cnf;
	$error = "";
	$aborto_proc = false;
	$sdata = Array();
	$sql = "";

	$conn  = conectar_db("",true);
	if($id_legalizacion != "NULL")
	{
		$err_txt = "Buscar ";
	}
	else
	{
		$aborto_proc = true;
		$error = "Documento o Carpeta No Seleccionado.";
	}

	if($aborto_proc == false)
	{
		// Si llega hasta este punto la carpeta es especial siempre
		$sql = "BEGIN;
			     DELETE FROM odt.legalizaciones
			      WHERE id_leg = {$id_leg};
			     INSERT INTO odt.legalizaciones
			                 (cod_caja, id_leg, is_fisico, is_caso_especial, login, observacion, id_tipo_legalizacion, fec_tx, id_estado_envio, nro_guia, fec_ce, login_ce ) VALUES
			                 ({$cod_caja}, {$id_leg}, {$is_especial}, TRUE, {$login}, {$observa}, {$tipo_legalizacion}, now(), 1, {$nro_guia}, now(), {$login})
			       RETURNING id_legalizacion;
			     UPDATE telecom.legalizaciones
			      SET   is_odt = 1
			      WHERE id_leg = {$id_leg};";
		$err_txt = "Actualizar";
	}

	$resultado = query_db($sql, true);
	if (query_estado("err_msg", true) != "")
	{
	  $error = "No se pudo {$err_txt} el Documento o Carpeta Seleccionado.";
	  $aborto_proc = true;
	}

	$resultado = fetch_array_db($resultado);
	// Finalizacion del Proceso
	if($aborto_proc == true)
	{
		query_db("ROLLBACK;", true);
		$sdata['error'] = $error;
		$sdata['sql'] = $sql;
	}
	else
	{
		$sdata['data'] = ($resultado);
		query_db("COMMIT;", true);
		$sdata['sql'] = $sql;
	}

	$sdata['success'] = !$aborto_proc;

	$sdata = json_encode(to_utf8($sdata));

	header("Content-Type: application/json; charset=utf-8");
	header("Content-Size: " . strlen($sdata));
	header('X-JSON: ('.$sdata.')');
}

////////////////////////////////////////////////////////////////////////
function add_a_caja($cod_caja, $id_leg, $nro_guia)
{
	if(trim($cod_caja) == '' ) { $cod_caja = "NULL"; } else { $cod_caja = "'{$cod_caja}'"; }
	if(trim($id_leg) == '' ) { $id_leg = "NULL"; } else { $id_leg = "'{$id_leg}'"; }
	if(trim($nro_guia) == '' ) { $nro_guia = "NULL"; } else { $nro_guia = "'{$nro_guia}'"; }
	
	global $cnf;
	$error = "";
	$aborto_proc = false;
	$sdata = Array();
	$sql = "";

// Fecha: Domingo, 30 de enero de 2011, Jainer A. Marin
// Esta vaviable se utiliza para los ENVIOS DE TELECOM cuando se inserta un nuevo abonado en la tabla odt.legalizaciones
       $idGrupo = '47';

	$login = "'{$_SESSION['login']}'";

	$conn  = conectar_db("",true);
	if($id_leg != "NULL")
	{
		$sql = " SELECT count(*) AS conteo"
				. " FROM odt.legalizaciones"
				. " WHERE id_leg = {$id_leg};";
		$err_txt = "encontrar ";
	}
	else
	{
		$aborto_proc = true;
		$error = "Documento o Carpeta No Seleccionado.";
	}

 	$resultado = query_db($sql, true);
	if (query_estado("err_msg", true) != "")
	{
	  $error = "No se pudo {$err_txt} el Documento o Carpeta Seleccionado. ";
	  $aborto_proc = true;
	}
	$resultado = fetch_array_db($resultado);

	if($aborto_proc == false)
	{
		if($resultado[0] == "0")
		{
			// Insertar el Documento
			$sql = "BEGIN;
				      INSERT INTO odt.legalizaciones
				                 (cod_caja, id_leg, login, fec_tx, id_estado_envio, nro_guia, is_fisico,  fec_ce, login_ce, id_grupo) VALUES
				                 ({$cod_caja}, {$id_leg}, {$login}, now(), 0, {$nro_guia}, true, now(), {$login}, {$idGrupo})
				        RETURNING id_legalizacion;

			          UPDATE telecom.legalizaciones
			            SET   is_odt = 1
			            WHERE id_leg = {$id_leg};";

			$err_txt = "Insertar";
                 
		}
		else
		{
			// Update a la nueva Caja, precaucion en caso de que el correo halla sido enviado en otra caja, posible error
			$sql = " SELECT id_legalizacion "
					. " FROM odt.legalizaciones"
					. " WHERE id_leg = {$id_leg};";
			$resultado = query_db($sql, true);
			if (query_estado("err_msg", true) != "")
			{
			  $error = "No se pudo Leer el Documento o Carpeta Seleccionado. ";
			  $aborto_proc = true;
			}
			$resultado = fetch_array_db($resultado);
			$id = "'{$resultado[0]}'";

			$sql = "BEGIN;
				     UPDATE odt.legalizaciones
				      SET   id_legalizacion = {$id}
				            , cod_caja = {$cod_caja}
				            , id_leg = {$id_leg}
				            , login = {$login}
				            , fec_tx = now()
				            , nro_guia = {$nro_guia}
								, is_fisico = true
								, id_estado_envio = 0
					         , login_ce = {$login}
								, fec_ce = now()
				      WHERE id_legalizacion = {$id}
				      RETURNING id_legalizacion;

				      UPDATE telecom.legalizaciones
			            SET   is_odt = 1
			            WHERE id_leg = {$id_leg}; ";
			$err_txt = "Actualizar";
		}
	}

	$resultado = query_db($sql, true);
	if (query_estado("err_msg", true) != "")
	{
        $error = "No se pudo {$err_txt} el Documento Seleccionado en la Caja {$cod_caja}. ";
        $aborto_proc = true;
	}
	$resultado = fetch_array_db($resultado);

	// Finalizacion del Proceso
	if($aborto_proc == true)
	{
		query_db("ROLLBACK;", true);
		$sdata['error'] = $error;
		$sdata['sql'] = $sql;
	}
	else
	{
		$sdata['data'] = ($resultado);
		$sdata['accion'] = $err_txt;
		query_db("COMMIT;", true);
	}

	$sdata['success'] = !$aborto_proc;

	$sdata = json_encode(to_utf8($sdata));

	echo $sdata;

	header("Content-Type: application/json; charset=utf-8");
	header("Content-Size: " . strlen($sdata));
	header('X-JSON: ('.$sdata.')');
}

////////////////////////////////////////////////////////////////////////
function add_todo_a_caja( $SQLFiltro , $cod_caja, $nro_guia )
{
	if(trim($cod_caja) == '' ) { $cod_caja = "NULL"; } else { $cod_caja = "'{$cod_caja}'"; }
	if(trim($nro_guia) == '' ) { $nro_guia = "NULL"; } else { $nro_guia = "'{$nro_guia}'"; }

	global $cnf;
	$error = "";
	$aborto_proc = false;
	$sdata = Array();
	$sql = "";
	$login = "'{$_SESSION['login']}'";
	$sSQL = "";
	$conn  = conectar_db("",true);

//SELECT fec_legal, usuario_legal, num_ident, cliente, celular, producto, is_odt, id_leg FROM telecom.legalizaciones  WHERE is_odt = '0' AND usuario_legal = 'NHX16399' AND num_ident = '46362289'  LIMIT 20 OFFSET 0

	if ( strpos(strtoupper($SQLFiltro), 'ORDER') > 0)
	{
		$sSQL = substr($SQLFiltro, 0, strpos(strtoupper($SQLFiltro), 'ORDER'));
	}
	if ( strpos(strtoupper($SQLFiltro), 'LIMIT') > 0)
	{
		$sSQL = substr($SQLFiltro, 0, strpos(strtoupper($SQLFiltro), 'LIMIT'));
	}
	if ( strpos(strtoupper($SQLFiltro), 'GROUP BY') > 0)
	{
		$sSQL = substr($SQLFiltro, 0, strpos(strtoupper($SQLFiltro), 'GROUP BY'));
	}

	$sSQL = "SELECT {$cod_caja}, id_leg, {$login}, now(), 0, {$nro_guia}, now(), {$login} ".substr($sSQL,strpos(strtoupper($sSQL), 'FROM'));
	$sWhere = substr($sSQL,strpos(strtoupper($sSQL), 'WHERE'));
	// Insertar los Documentos
	$sql = "BEGIN;
		      INSERT INTO odt.legalizaciones
		                 (cod_caja, id_leg, login, fec_tx, id_estado_envio, nro_guia, fec_ce, login_ce)
		                 ({$sSQL});
	          UPDATE telecom.legalizaciones
	            SET is_odt = 1
	            {$sWhere};";
	$err_txt = "insertar";

	$resultado = query_db($sql, true);
	if (query_estado("err_msg", true) != "")
	{
		$error = "No se pudo {$err_txt} los Documentos filtrados en la Caja {$cod_caja}. ";
		$aborto_proc = true;
	}
	$resultado = fetch_array_db($resultado);

	// Finalizacion del Proceso
	if($aborto_proc == true)
	{
		query_db("ROLLBACK;", true);
		$sdata['error'] = $error;
		$sdata['sql'] = $sql;
	}
	else
	{
		$sdata['data'] = ($resultado);
		query_db("COMMIT;", true);
	}
	$sdata['sql'] = $sql;

	$sdata['success'] = !$aborto_proc;

	$sdata = json_encode(to_utf8($sdata));

	echo $sdata;

	header("Content-Type: application/json; charset=utf-8");
	header("Content-Size: " . strlen($sdata));
	header('X-JSON: ('.$sdata.')');
}

////////////////////////////////////////////////////////////////////////
function actualiza_estado_caja($cod_caja, $estado)
{
	if(trim($cod_caja) == '' ) { $cod_caja = "NULL"; } else { $cod_caja = "'{$cod_caja}'"; }
	if(trim($estado) == '' ) { $estado = "0"; } else { $estado = "'{$estado}'"; }

	global $cnf;
	$error = "";
	$aborto_proc = false;
	$sdata = Array();
	$sql = "";
	$login = "'{$_SESSION['login']}'";
	$conn  = conectar_db("",true);

	$sql = "BEGIN;
		      UPDATE odt.legalizaciones
		         SET id_estado_envio = {$estado}
		        , login_ce = {$login}
		        , fec_ce = now()
	            WHERE cod_caja = {$cod_caja}; ";
	$err_txt = "Actualizar";

	$resultado = query_db($sql, true);
	if (query_estado("err_msg", true) != "")
	{
		$error = "No se pudo {$err_txt} los Documentos filtrados en la Caja {$cod_caja}. ";
		$aborto_proc = true;
	}
//	$resultado = fetch_array_db($resultado);

	// Finalizacion del Proceso
	if($aborto_proc == true)
	{
		query_db("ROLLBACK;", true);
		$sdata['error'] = $error;
		$sdata['sql'] = $sql;
	}
	else
	{
//		$sdata['data'] = ($resultado);
		query_db("COMMIT;", true);
	}

	$sdata['success'] = !$aborto_proc;

	$sdata = json_encode(to_utf8($sdata));

	echo $sdata;

	header("Content-Type: application/json; charset=utf-8");
	header("Content-Size: " . strlen($sdata));
	header('X-JSON: ('.$sdata.')');
}

////////////////////////////////////////////////////////////////////////
function fmueveArchivo($id_archivo_serial, $id_peticion, $id_trd, $nom_file, $ruta, $id_grupo)
{
	if(trim($id_archivo_serial) == '' ) { $id_archivo_serial = "NULL"; } else { $id_archivo_serial = "'{$id_archivo_serial}'"; }
	if(trim($id_grupo) == '' ) { $id_grupo = "NULL"; } else { $id_grupo = "'{$id_grupo}'"; }
	if(trim($nom_file) == '' ) { $nom_file = ""; } 
	if(trim($ruta) == '' ) { $ruta = ""; } 

	global $cnf;
	$error = "";
	$aborto_proc = false;
	$sdata = Array();
	$sql = "";
	$login = "'{$_SESSION['login']}'";
	$conn  = conectar_db("",true);

	if($id_archivo_serial == "NULL")
	{
		$aborto_proc = true;
		$error = "Falta id_archivo_serial.";
	}

// 694-3912
	// Actualizamos el archivo
	if($aborto_proc == false)
	{
       $extension = split("[/\\.]", $nom_file) ;
       $extension = strtoupper($extension[(count($extension)-1)]);

       if($extension == "JPG") {
		//	$nom_fileNuevo = "{$id_peticion}_{$id_trd}-001.{$extension}";
			$nom_fileNuevo = "{$id_peticion}_{$id_trd}";
			$nom_fileNuevoArch = "{$id_peticion}_{$id_trd}-001.{$extension}";
		}
		else {
			$nom_fileNuevo = "{$id_peticion}_{$id_trd}.{$extension}";
			$nom_fileNuevoArch = "{$id_peticion}_{$id_trd}.{$extension}";
		}
       
		$fecha = date("Ymd");
//		$rutaFinal = $cnf['dir_datatial_activo'] . "/hogares/{$fecha}/";
		$rutaFinal = "/datatial8/telefonica/hogares/{$fecha}/";
		$sql = "BEGIN;
				UPDATE documentos.archivo
				SET id_archivo_serial={$id_archivo_serial}, id_trd='{$id_trd}', 
					cant_imagenes=1, path_archivo='{$rutaFinal}', nom_archivo='{$nom_fileNuevo}', fec_archivo=NOW(), 
					cant_img_contar=0, tipo_archivo='{$extension}', id_grupo={$id_grupo}
				WHERE id_archivo_serial={$id_archivo_serial}; ";

		$resultado = query_db($sql, true);
		if (query_estado("err_msg", true) != "")
		{
		  $error = "No se actualIzar el registro de Archivo. ";
		  $aborto_proc = true;
		}
	}

	// Archivamos el archivo
	if($aborto_proc == false) {
		mkdir($rutaFinal, 0755, true);
		if (!copy("{$ruta}{$nom_file}","{$rutaFinal}{$nom_fileNuevoArch}")) {
			$error = "No se pudo mover el archivo. ";
			$sdata['aI'] = "{$ruta}{$nom_file}";
			$sdata['aF'] = "{$rutaFinal}{$nom_fileNuevo}";
			$aborto_proc = true;
		}
		else {
			unlink("{$ruta}{$nom_file}");
		}
	}

	// Finalizacion del Proceso
	if($aborto_proc == true)
	{
		query_db("ROLLBACK;", true);
		$sdata['error'] = $error;
		$sdata['sql'] = $sql;
	}
	else
	{
		query_db("COMMIT;", true);
	}

	$sdata['success'] = !$aborto_proc;

	$sdata = json_encode(to_utf8($sdata));

	header("Content-Type: application/json; charset=utf-8");
	header("Content-Size: " . strlen($sdata));
	header('X-JSON: ('.$sdata.')');
}

?>
