<?php
$page_title   = "Envio de Cajas";
$id_permiso   = "000009002";

$form[0]["id_permiso"]    = "";
$form[0]["title"]         = "Envio de Legalizaciones";
$form[0]["nom_tabla"]     = "ods.legalizaciones";
$form[0]["nom_campo_key"] = "id_leg";
$form[0]["nom_vista"]     = "ods.legalizaciones";
$form[0]["form_padre"]    = -1;

function fjs_pagina()
{
 global $form;
 global $cnf;
?>
<script type="text/javascript">
function grupos_usuario() { return "<?php echo $cnf['grupos_usuario']; ?>"; }
function nivel_usuario() { return <?php echo $cnf["nivel_usuario"]; ?>; }
function cajasxEnviar() { return '1'; } // Cajas por Enviar
function grupoData() { return '3'; } // Movistar

function Inicio()
{
        <?php gen_fx_inicio_js($form); ?>

//////////////////////////////////////////////////////////////////////// Listado telecom.legalizaciones_cajas_v1
	oListadoPaq  = objListar('ListaCajas',
							'telecom.legalizaciones_cajas_v1',
							'cod_caja',
							'cod_caja, can_documentos, departamento, id_estado_envio',
							3,
							'Caja No. (Sticker), Cant. Carpetas, Departamento',
							'',
							'MULTISELECCION');
	oListadoPaq.orisFiltro = "(,id_estado_envio, =, cajasxEnviar)";
	oListadoPaq.sFiltro = "(,id_estado_envio, =, cajasxEnviar)";
	oListadoPaq.enable = true;
	oListadoPaq.idRetorno = "id_cajas";
	oListadoPaq.colRetorno = 0;
	oListadoPaq.cargaInicial = false;
	oListadoPaq.Inicio();

	oListadoPaq.oculta("XML");
	oListadoPaq.oculta("BUS");
	oListadoPaq.oculta("PRN");
	oListadoPaq.refresca();


//////////////////////////////////////////////////////////////////////// Grupos
	oLis_id_grupo = objListar("oSel_id_grupo",
								"grupos_v1",
								"id_grupo",
								"id_grupo, nom_grupo, desc_grupo, maq_id_nuip",
		 						4,
								"ID., Grupo, Descripcion, N.U.I.P.", //nombre de los campos
								"",
								"SELECCION",
								10, 3);
	oLis_id_grupo.titWIN = "Grupos";
	oLis_id_grupo.sFiltro = "<?php if($cnf['nivel_usuario'] < 1){ echo '(,id_grupo,IN,grupos_usuario)'; } else { echo ""; } ?>";
	oLis_id_grupo.enable = true;
	oLis_id_grupo.colRetorno = "0";     // Columna maquillada que deseo que me devuelva el componente al INPUT ibxInput
	oLis_id_grupo.colRetorno_Maq = "1"; // Columna maquillada que deseo que me devuelva el componente al Mensaje Auxiliar ibxMsg
	oLis_id_grupo.typeEDIT = 2;
	oLis_id_grupo.cargaInicial = true;

	oLis_id_grupo.Inicio();
	oLis_id_grupo.oculta("XML");
	oLis_id_grupo.muestra("BUS");

//////////////////////////////////////////////////////////////////////// CB - Departamento
  	var oCBx_tipo_legalizacion = objCB("departamento",
								"telecom.regionales_v1",
								"departamento",
							  "departamento",
		 						1,
								""
								);
   oCBx_tipo_legalizacion.isNull = true;
   oCBx_tipo_legalizacion.isNullVis = true;
   oCBx_tipo_legalizacion.orden = "departamento";
   oCBx_tipo_legalizacion.consulta(true);

	{
		form_especial.push(new Array("editar","Anula"));
		form_especial.push(new Array("imprimir","Anula"));
		form_especial.push(new Array("borrar","Anula"));
		form_especial.push(new Array("guardar","guarda_paquete"));
	}


//cerrarSecciones(2);
    EstadoSistema("Nuevo");
}

  function Anula()
  {
   msg_alerta("Funcin Inactiva.");
  }
  function accion_listar()
  {
   msg_alerta("Funcin Inactiva.");
  }

////////////////////////////////////////////////////////////////////////
function guarda_paquete()
{
 var oCajas = $('id_cajas');
 var sidname = sid.split('=');

	if(oCajas.value  == '')
	{
		msg_alerta("Antes de Enviar, debe seleccionar al menos una Caja");
		return false;
	}
	else
	{
		var Cajas = oCajas.value.split(",");
		for(n=0; n<Cajas.length; n++)
		{
			Cajas[n] = "'" + Cajas[n] + "'";
		}
		var parametros = {sidname: sidname[1], funcion: 'enviaCajas', cajas: Cajas.toJSON(), grupo: grupoData() };

		new Ajax.Request('tel_env_envio_cajas_sr.php', {
					method: 'post'
					, parameters: parametros
					, onSuccess: frGuardaCaja
		});
	}
}

////////////////////////////////////////////////////////////////////////////////
function frGuardaCaja(t, j)
{
	if(j)
	{
		if(j.success == true)
		{
//			_formActionNuevo();
			var oLp = buscaListar('ListaCajas');
			var oNE = $('nro_envio')
			var oFE = $('fec_envio')
			oNE.value = j.nro_envio;
			oFE.value = j.fec_envio;

			oLp.refresca();

			EstadoSistema("Cajas Enviadas");
		}
		else
		{
			msg_alerta("Fallo: " + j.error);
		}
	}
}

////////////////////////////////////////////////////////////////////////
function _formActionNuevo()
{
   var oLp = buscaListar('ListaCajas');
	var oL2 = $('ListaCajas');

	var uL = $('nro_envio');
	var fL = $('fec_envio');

	oLp.refresca();
	oL2.hide();
	uL.value = "";
	fL.value = "";

	EstadoSistema("Nuevo");
}

////////////////////////////////////////////////////////////////////////
function _Filtrar()
{
  var oLp = buscaListar('ListaCajas');
	var oL2 = $('ListaCajas');
	oLp.cargaInicial = true;
	var _filtro = oLp.orisFiltro;

//alert("'" + $('departamento').value + "'");
	  if(trim($('departamento').value) != "")
	  {
	      if(trim(_filtro) != "")
	      {
				_filtro += "; (AND,";
			}
			else
			{
				_filtro += "(,";
			}
			_filtro += "departamento,=,)";
	  }

//alert(oLp.orisFiltro +"\n\n" +_filtro);
	oLp.sFiltro = _filtro;
	oLp.refresca();
	oL2.show();
//alert(oLp.sSQL)	;
}
////////////////////////////////////////////////////////////////////////

</script>
<?php
}

require_once("../includes/form_header.php");

$campos['nro_envio'] = gen_campo_html(array(
								  "nom_campo_id" 	=> 'nro_envio'
								, "label_html" 	=> 'Envio No.'
								, "hint_html" 		=> 'Consecutivo de Envio'
								, "is_readonly" 	=> TRUE
								, "is_hidden" 		=> FALSE
								, "is_null" 		=> TRUE
							));

$campos['fec_envio'] = gen_campo_html(array(
								  "nom_campo_id" 	=> 'fec_envio'
								, "label_html" 	=> 'Fecha'
								, "hint_html" 		=> 'Fecha de Envio'
								, "is_readonly" 	=> TRUE
								, "is_hidden" 		=> FALSE
								, "is_null" 		=> TRUE
							));

$campos['id_cajas'] = gen_campo_html(array(
								  "nom_campo_id" 	=> 'id_cajas'
								, "label_html" 	=> 'Cajas'
								, "hint_html" 		=> 'Cajas a Enviar'
								, "is_readonly" 	=> TRUE
								, "is_hidden" 		=> TRUE
							));

$campos['id_regional'] = gen_campo_html(array(
								  "nom_campo_id" 	=> 'departamento'
								, "label_html" 	=> 'Departamento'
								, "hint_html" 		=> 'Departamento a la que pertenece la caja'
								, "type" => 'COMBOBOX'
								, "is_readonly" 	=> FALSE
								, "is_hidden" 		=> FALSE
							));

gen_abrir_form($form[0]);

echo "<center>";
echo "<table id=\"hoja\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\">";
echo "<tr><td style=\" width:20px; background: url(".$cnf["images_path"]."hoja_tl.png) no-repeat;\">&nbsp;</td>";
echo "    <td style=\" background: url(".$cnf["images_path"]."hoja_t.png) repeat-x;\">&nbsp;</td>";
echo "    <td style=\" width:20px; background: url(".$cnf["images_path"]."hoja_tr.png) no-repeat;\">&nbsp;</td></tr>";
//filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src='".$cnf["images_path"]."hoja_l.png');
echo "<tr><td style=\" width:20px; background: url(".$cnf["images_path"]."hoja_l.png) repeat-y;\">&nbsp;</td>";
echo "<td style=\"background: white;\">";

echo "<table border=\"0\" cellpadding=\"0\" width=\"100%\">";
echo "<tr><td style='font-size:10px'><img src=\"".$cnf["images_path"].$cnf["logo_cliente"]."\"><br/>$page_title</td><td>";

       echo $campos['nro_envio'];
       echo $campos['fec_envio'];
		 echo $campos['id_cajas'];

echo "</td></tr><tr><td colspan='2'>";

if (strpos($cnf["grupos_usuario"],',') > 0 or ($cnf["nivel_usuario"] <= 1))
	$campos["id_grupo"] = gen_campo_html(array("nom_campo_id"=>"id_grupo",
										"label_html"=>"Grupo Corporativo",
										"is_readonly"=>false,
										"is_vertical"=>false,
										//"vr_defecto"=>$cnf["grupos_usuario"],
										"type"=>"SELECTOR",
										"is_boton_visible"=>true,
										"is_horizontal"=>false));
else
	$campos["id_grupo"] = gen_campo_html(array("nom_campo_id"=>"id_grupo",
										"label_html"=>"Grupo Corporativo",
										"is_readonly"=>true,
										"is_hidden"=>true,
										"vr_defecto"=>$cnf["grupos_usuario"]));

echo $campos["id_grupo"];
echo "</td></tr><td colspan='2'>";
echo $campos['id_regional'];
echo "<hr />
		<div style='text-align:center'>
			<button type='button' onclick='_Filtrar()'>Filtrar</button>
		</div>";

//gen_abrir_seccion(3, "Cajas para enviar");
	echo "<div id='ListaCajas'></div>";
//gen_cerrar_seccion();

echo "</td></tr></table>";

echo "</td><td style=\" width:20px; background: url(".$cnf["images_path"]."hoja_r.png) repeat-y;\">&nbsp;</td></tr>";
echo "<tr><td style=\" width:20px; background: url(".$cnf["images_path"]."hoja_bl.png) no-repeat;\">&nbsp;</td>";
echo "    <td style=\" background: url(".$cnf["images_path"]."hoja_b.png) repeat-x;\">&nbsp;</td>";
echo "    <td style=\" width:20px; background: url(".$cnf["images_path"]."hoja_br.png) no-repeat;\">&nbsp;</td></tr>";
echo "</table>";
echo "</center>";

echo "<div style='display:none'>
		</div>";

gen_cerrar_form();

require_once("../includes/form_footer.php");
?>
