
// directory of where all the images are
var cmThemeDBXBase = dirMenuTheme;

// the follow block allows user to re-define theme base directory
// before it is loaded.
/*
try
{
	if (myThemeDBXBase)
	{
		cmThemeDBXBase = myThemeDBXBase;
	}
}
catch (e)
{
}
*/

var cmThemeDBX =
{
	prefix:	'ThemeDBX',
  	// main menu display attributes
  	//
  	// Note.  When the menu bar is horizontal,
  	// mainFolderLeft and mainFolderRight are
  	// put in <span></span>.  When the menu
  	// bar is vertical, they would be put in
  	// a separate TD cell.

  	// HTML code to the left of the folder item
  	mainFolderLeft: '&nbsp;',
  	// HTML code to the right of the folder item
  	mainFolderRight: '&nbsp;',
	// HTML code to the left of the regular item
	mainItemLeft: '&nbsp;',
	// HTML code to the right of the regular item
	mainItemRight: '&nbsp;',

	// sub menu display attributes

	// 0, HTML code to the left of the folder item
	folderLeft: '<img alt="" src="' + cmThemeDBXBase + 'spacer.gif">',
	// 1, HTML code to the right of the folder item
	folderRight: '<img alt="" src="' + cmThemeDBXBase + 'arrow.gif">',
	// 2, HTML code to the left of the regular item
	itemLeft: '<img alt="" src="' + cmThemeDBXBase + 'spacer.gif">',
	// 3, HTML code to the right of the regular item
	itemRight: '<img alt="" src="' + cmThemeDBXBase + 'blank.gif">',
	// 4, cell spacing for main menu
	mainSpacing: 0,
	// 5, cell spacing for sub menus
	subSpacing: 0,

	// move 1st lvl submenu for horizontal menus up a bit to avoid double border
	offsetHMainAdjust:	[0, -1],
	offsetVMainAdjust:	[-1, 0],
	// offset according to Opera, which is correct.
	offsetSubAdjust:	[1, 0]
	// rest use default settings
};

// for horizontal menu split
var cmThemeDBXHSplit = [_cmNoClick, '<td class="ThemeDBXMenuItemLeft"></td><td colspan="2"><div class="ThemeDBXMenuSplit"></div></td>'];
var cmThemeDBXMainHSplit = [_cmNoClick, '<td class="ThemeDBXMainItemLeft"></td><td colspan="2"><div class="ThemeDBXMenuSplit"></div></td>'];
var cmThemeDBXMainVSplit = [_cmNoClick, '|'];
