<?php
error_reporting(E_ALL);
require_once("../includes/pdf_header.php");

global $cnf;
   if (isset($_GET["p1"])) $p1 = trim($_GET["p1"]);
	else $p1= "-1";
	if(trim($p1) == "") $p1 = "-1";

	$coneccion = conectar_db("",false);

  $cad1 = "";

  if($p1 != -1)
  {
    $cad1 = "nro_plan_buzon = $p1 AND id_grupo IN ({$cnf['grupos_usuario']}) ";
  }

////////////////////////////////////////////////////////////////////////////////
	   $ssql = "SELECT nro_plan_buzon, maq_fec, nom_fuelle_D, nom_destino, nom_fuelle_O, nom_remitente".
             " FROM correspondencia.plan_buzones_v1 WHERE {$cad1}; ";
		$result = query_db($ssql, true);
		if (query_estado("err_msg",true) != "")  echo query_estado("err_msg",true);
		$row = pg_fetch_assoc($result);

////////////////////////////////////////////////////////////////////////////////
// ENCABEZADO
	$mainFont = $cnf["lib_path_server"]  . "/fonts/Helvetica.afm";
	$codeFont = $cnf["lib_path_server"]  . "/fonts/Courier.afm";

  $fecha = "" . date('Y/m/d h:i A');
	$pdf = new Cezpdf('LETTER','landscape');

	$pdf -> ezSetCmMargins(3.5, 1, 1, 1.5); //2.6, 1, 1, 1.5

	$all = $pdf->openObject();
	$pdf->setStrokeColor(0,0,0,1);
	$pdf->selectFont($mainFont);

	$pdf->addInfo("Producer","Digital Business - www.digital01.com");
 	$pdf->addInfo("Keywords","Documentos, Impresion, Salida de Buzon, Colombia, Digital01.com, Digital01, netDBX, $fecha, Tial");
	$pdf->addInfo("Title","Reenvio de Buzon");

// 	$pdf->addInfo("CreationDate",$fecha;

	$pdf->addInfo("Creator","Tial");

		if(!isset($cnf["logo_cliente_reporte"]) AND $cnf["logo_cliente_reporte"] == '' )
		{
		 	$pdf->addJpegFromFile("barra_tial.jpg",20,570);  // portrait: 750
		}
		else
		{
		 	$pdf->addJpegFromFile($cnf["images_path_server"].$cnf["logo_cliente_reporte"],20,570); // portrait: 750
		}
	$pdf->addText(320,585,12,'<b>CORRESPONDENCIA</b>'); // portrait: 240,765
	$pdf->addText(335,570,10,'<b>- BUZON -</b>'); // portrait: 255,750

//	$pdf->addText(500,780,5,'Formato Impresion, Version 1.1, 2008.');
	$pdf->setColor(0,0,0);
// 	$pdf->addText(115,762,7,'<b>N.I.T.: 800.073.090-8 </b>    -    <b>Cra 18 No 164 -44</b>');

	$pdf->addText(660,582,8,'<b>ENVIO No.</b>'); // portrait: 460,762
	$pdf->addText(710,582,12,"<b> ". $row['nro_plan_buzon'] ."</b>"); // portrait: 510,762

	$pdf->setColor(0,0,0);
	$pdf->addText(640,560,8, "Fecha Envio:  <b>". $row['maq_fec'] ."</b>"); // portrait: 460,740
	$pdf->addText(640,542,8, "Fecha Imp  :   <b>$fecha</b>"); // portrait: 460,722

	$pdf->addText(20,550,8,"<b>Destino: ". $row['nom_destino'] ."</b>   - <b>" .$row['nom_fuelle_D'] ."</b>"); // portrait: 20,730
	$pdf->addText(20,535,8,"<b>Origen: ". $row['nom_remitente'] ."</b>   - <b>" .$row['nom_fuelle_O'] ."</b>" );// portrait: 20,715

// 	$pdf->addText(350,721,8,"Observaciones:<b> ". $row['obs_courrier_s'] ."</b> ");
	$txtObs =  "";

	$pdf->line(16,525,775,525); // superior 1  // portrait: 16,705,594,705

	$pdf->addText( 50,516,7,'<b>Fec. Rad.</b>');  // portrait: 18,696
	$pdf->addText(100,516,7,'<b>Fec. Venc.</b>'); // 70,696
	$pdf->addText(160,516,7,'<b>Telefono</b>');  // 195,696
	$pdf->addText(260,516,7,'<b>Suscriptor</b>');  // 282,696
	$pdf->addText(355,516,7,'<b>Consecutivo</b>');  // 342,696
	$pdf->addText(405,516,7,'<b>Incidencia</b>'); // 415,696
	$pdf->addText(480,516,7,'<b>Ciudad</b>'); // 495,696
	$pdf->addText(520,516,7,'<b>Departamento</b>'); // 550,696
	$pdf->addText(650,516,7,'<b>Motivo</b>');  //580,696
	$pdf->addText(715,516,7,'<b>Folios</b>');  //580,696

	$pdf->line(16,513,775,513); // superior 2  // portrait: 16,693,594,693


	// Footer
	$pdf->addText(40,10,7,'TIAL.                  REPORTE');
	$pdf->line(20,20,775,20);  // inferior
	$pdf->ezStartPageNumbers(500,8,9,'','{PAGENUM} de {TOTALPAGENUM}',1);  // numeracion de paginas

// 	$pdf->restoreState();
	$pdf->closeObject();

// Agregando encabezado
	$pdf->addObject($all,'all');

/////////
// CUERPO

// consulta por grupo
// 		$ssql = "SELECT cons_centro_correo, nom_fuelle_dest, nom_centro_correo_dest, maq_nom_dest, desc_correo, cant_folios, nom_tipo_correo
//		$ssql = "SELECT cons_centro_correo, maq_nom_nuip, emp_remitente, desc_correo, cant_folios, nom_tipo_correo, cons_reloj, cod_radicado FROM plan_buzones_v2 WHERE $cad1 ORDER BY cons_centro_correo; ";
		$ssql = "SELECT"
				. " fec_correo::DATE"
				. ", fec_vencimiento"
				. ", cel_remitente"
				. ", maq_nom_nuip"
				. ", cons_reloj"
				. ", incidencia"
				. ", mun_remitente"
				. ", depto_remitente"
				. ", desc_correo"
				. ", cant_folios"
				. " FROM plan_buzones_v2 WHERE $cad1 ORDER BY cons_centro_correo; ";
		$result = query_db($ssql, true);
		if (query_estado("err_msg",true) != "")  echo query_estado("err_msg",true);

/*
 * fec_correo
 * fec_vencimiento
 * cel_remitente
 * maq_nom_nuip
 * cons_reloj
 * incidencia
 * mun_remitente
 * depto_remitente
 * desc_correo
 * cant_folios
 */

/*
	  $formato1 = array('showHeadings'	=> 0,
 									'shaded'		=> 0,
									'showLines'	=> 1,
									'colGap'		=> 1,
									'rowGap'		=> 2,
									'fontSize'	=> 7,
									'xPos'      => 396,
 									'cols'=>array(
 						            	'cons_centro_correo'	=>array('justification'=>'right','width'=>'40'),
// 						            	'maq_nom_dest'	=>array('justification'=>'left','width'=>'150','fontSize'=>5), // 160
 						            	'desc_correo'	=>array('justification'=>'left','width'=>'300','fontSize'=>5), // 160
 						            	'cant_folios'	=>array('justification'=>'center','width'=>'20','fontSize'=>5), // 30
 						            	'nom_tipo_correo'	=>array('justification'=>'left','width'=>'90','fontSize'=>5),
 						            	'maq_nom_nuip'	=>array('justification'=>'left','width'=>'75','fontSize'=>5),
 						            	'emp_remitente'	=>array('justification'=>'left','width'=>'75','fontSize'=>5),
 						            	'cons_reloj'	=>array('justification'=>'right','width'=>'30','fontSize'=>8),
 						            	'cod_radicado'	=>array('justification'=>'right','width'=>'60','fontSize'=>8),
 						            	'ok'	=>array('justification'=>'right','width'=>'70','fontSize'=>8) // 100
											 )
									);
*/
	  $formato1 = array('showHeadings'	=> 0,
 									'shaded'		=> 0,
									'showLines'	=> 1,
									'colGap'		=> 1,
									'rowGap'		=> 2,
									'fontSize'	=> 7,
									'xPos'      => 390,
 									'cols'=>array(
 						            	'fec_correo'		=>array('justification'=>'center','width'=>'50'),
 						            	'fec_vencimiento'	=>array('justification'=>'center','width'=>'50'), //,'fontSize'=>5),
 						            	'cel_remitente'	=>array('justification'=>'center','width'=>'60'),
 						            	'maq_nom_nuip'		=>array('justification'=>'left','width'=>'150'),
 						            	'cons_reloj'		=>array('justification'=>'right','width'=>'50'),
 						            	'incidencia'		=>array('justification'=>'right','width'=>'40'),
 						            	'mun_remitente'	=>array('justification'=>'right','width'=>'70'),
 						            	'depto_remitente'	=>array('justification'=>'right','width'=>'70'),
 						            	'desc_correo'		=>array('justification'=>'right','width'=>'130')
 						            	, 'cant_folios'	=>array('justification'=>'right','width'=>'20')
											 )
									);

 $old_gr = -1;
	while ($row = pg_fetch_assoc($result)) // While de grupo
	{
      $old_gr = $id_grupo;

/*    	$data = array(array(	'cons_centro_correo'=>"". $row['cons_centro_correo'] . " ",
		 						//	'maq_nom_dest'=>"<b>" . $row['maq_nom_dest'] . "</b> ",
		 							'desc_correo'=>"" . $row['desc_correo'] . " ",
		 							'cant_folios'=>"" . $row['cant_folios'] . " ",
		 							'nom_tipo_correo'=>"" . $row['nom_tipo_correo'] . " ",
		 							'maq_nom_nuip'=>"<b>" . $row['maq_nom_nuip'] . "</b> ",
		 							'emp_remitente'=>"<b>" . $row['emp_remitente'] . "</b> ",
		 							'cons_reloj'=>"<b>" . $row['cons_reloj'] . "</b> ",
		 							'cod_radicado'=>"" . $row['cod_radicado'] . " ",
		 							'ok'=>"" //<b>[__]</b>
									 ));
*/
   	$data = array(array(	'fec_correo'=>"". $row['fec_correo'] . " ",
		 							'fec_vencimiento'=>"" . $row['fec_vencimiento'] . " ",
		 							'cel_remitente'=>"" . $row['cel_remitente'] . " ",
		 							'maq_nom_nuip'=>"" . $row['maq_nom_nuip'] . " ",
		 							'cons_reloj'=>"" . $row['cons_reloj'] . " ",
		 							'incidencia'=>"" . $row['incidencia'] . " ",
		 							'mun_remitente'=>"" . $row['mun_remitente'] . " ",
		 							'depto_remitente'=>"" . $row['depto_remitente'] . " ",
		 							'desc_correo'=>"" . $row['desc_correo'] . " ",
		 							'cant_folios'=>"" . $row['cant_folios'] . " "
									 ));

 	$pdf->ezTable($data,$columnas,$tit_tabla,$formato1);

 } // Fin while de grupo

  $formato2 = array('showHeadings'		=> 0,
 									'shaded'		=> 0,
									'showLines'	=> 0,
									'colGap'		=> 1,
									'rowGap'		=> 2,
									'fontSize'	=> 6,
									'xPos'      => 300,
 									'cols'=>array(
 						            	'maq_nom_dest'	=>array('justification'=>'left','width'=>'430','fontSize'=>5),
 						            	'cant_folios'	=>array('justification'=>'right','width'=>'70','fontSize'=>5),
 						            	'maq_nom_nuip'	=>array('justification'=>'left','width'=>'60','fontSize'=>5),
											 )
									);
//	$data = array(array(	'maq_nom_dest'=>"Observaciones: <b>$txtObs</b>"									 ));
// 	$pdf->ezTable($data,$columnas,$tit_tabla,$formato2);


  $formato3 = array('showHeadings'	=> 0,
 									'shaded'		=> 0,
									'showLines'	=> 1,
									'colGap'		=> 5,
									'rowGap'		=> 5,
									'fontSize'	=> 6,
									'xPos'      => 300,
 									'cols'=>array(
 						            	'nom_courrier_s'	=>array('justification'=>'left','width'=>'100','fontSize'=>7),
 						            	'cons_guia_s'	=>array('justification'=>'left','width'=>'100','fontSize'=>7),
 						            	'precinto_courrier_s'	=>array('justification'=>'left','width'=>'100','fontSize'=>7),
											 )
									);


/**/

	$data = array(array(	'nom_courrier_s' =>"Courrier: <b>$_nom_courrier_s</b>",
								'cons_guia_s'  =>"Guia: <b>$_cons_guia_s</b>",
		 						'precinto_courrier_s' =>"Precinto: <b>$_precinto_courrier_s</b>"),
								);
//	$pdf->ezTable($data,$columnas,$tit_tabla,$formato3);

/**/


for($k=0; $k<5; $k++)
{
	$data = array(array(	'maq_nom_dest' =>"   ",
								'cant_folios'  =>"   ",
		 						'maq_nom_nuip' =>"   "
										 ));
 	$pdf->ezTable($data,$columnas,$tit_tabla,$formato2);
}
/*	$data = array(array(	'maq_nom_dest' =>"   ",
								'cant_folios'  =>"   ",
		 						'maq_nom_nuip' =>"   "
										 ));
 	$pdf->ezTable($data,$columnas,$tit_tabla,$formato2);*/

	$data = array(array(	'maq_nom_dest' =>"Firma:_____________________________________________________",
								'cant_folios'  =>"Fecha:___________",
		 						'maq_nom_nuip' =>"Hora:_________"),
								);
 	$pdf->ezTable($data,$columnas,$tit_tabla,$formato2);

/**/
/////////


//	$pdf->ezStream();
////////////////////////////////////////////////////////////////////////////////
$pdfcode = $pdf->output();
$dir = './pdf_files';
// Crea El directorio si no Existe
if (!file_exists($dir))
{
	mkdir ($dir,0777);
}
// Limpia el directorio
if ($d = @opendir($dir))
{
	while (($file = readdir($d)) !== false)
	{
		if (substr($file,0,4)=="PRN_")
		{
			$ftime = filemtime($dir.'/'.$file);
			$resta = time() - $ftime;
			if ($resta >= 3600*12)
			{
				unlink($dir.'/'.$file);
			}
		}
	}
closedir($d);
}
// Crea el Archivo
$fname = tempnam($dir.'/','PRN_').'.pdf';
$fp = fopen($fname,'w');
fwrite($fp,$pdfcode);
fclose($fp);
$fweb = str_ireplace($_SERVER['DOCUMENT_ROOT'], "", $fname);

// Carga el archivo desde una pagina
echo '<html><head><SCRIPT LANGUAGE="JavaScript"><!--
function go_now () { window.location.href = "'.$fweb.'"; }
//--></SCRIPT>
</head>
<body onLoad="go_now();" style="text-align:center">
Espere un momento por favor...<br/>Si no puede ver su reporte haga <a href="'.$fweb.'">click aqu</a> para abrir el Reporte Generado.
</body></html>';
?>
